commit 7e86c8c5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 20 15:43:20 2016 +0100

  * Release v1.1.3

commit 481badb4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 20 15:41:25 2016 +0100

  * conf: don't install smixer.conf when python is not available

commit 2544b6cd
Author: Rene Rebe <rene@exactcode.com>
Date:   Tue Dec 13 13:54:26 2016 +0100

  * pcm: fix get_stop_threshold alsa-lib 0.9 alias

commit ada1eb41
Author: Andreas Pape <apape@de.adit-jv.com>
Date:   Fri Nov 25 15:55:05 2016 +0530

  * pcm: file: update linked hw_ptr and appl_ptr

commit e1e21120
Author: Alan Young <consult.awy@gmail.com>
Date:   Tue Jun 14 10:15:01 2016 +0100

  * pcm_rate: Do not discard slave reported delay in status result.

commit 5a2bddfc
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Nov 30 00:42:01 2016 +0900

  * topology: fix unused-variable warnings introduced to build_link()

commit d008e1ac
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Sun Dec 11 20:31:38 2016 +0900

  * pcm: fix wrong document references to PCM APIs which perform direct
    memory access with frame copying

commit 60b68cb4
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Mon Nov 28 13:34:21 2016 +0800

  * ucm: Execute sequence of component devices

commit 14c930d0
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Mon Nov 28 13:33:54 2016 +0800

  * ucm: Parse sequence of component devices

commit 6bf8447b
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Mon Nov 28 13:33:34 2016 +0800

  * ucm: Skip component directories when scanning sound card
    configuration files

commit 38a2d2ed
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 29 14:53:53 2016 +0100

  * pcm: dmix: Do not discard slave reported delay in status result

commit ea74ebbe
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 29 14:31:20 2016 +0100

  * pcm: Add the PCM state checks to plugins

commit 3e4887c1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 29 16:19:26 2016 +0100

  * Revert "pcm: file: Add htimestamp operation in plugin file"

commit f8d07a73
Author: Andreas Pape <apape@de.adit-jv.com>
Date:   Fri Nov 25 17:06:37 2016 +0530

  * pcm: file: Add htimestamp operation in plugin file

commit 876563c8
Author: Anant Agrawal <Anant_Agrawal@mentor.com>
Date:   Fri Nov 25 16:43:34 2016 +0530

  * pcm: dshare: Fix endless playback of buffer

commit 2dd78251
Author: Joshua Frkuska <joshua_frkuska@mentor.com>
Date:   Fri Nov 25 15:43:40 2016 +0530

  * pcm: direct: Protect from freeing semaphore when already in use

commit 2ef7a53c
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Nov 25 13:20:02 2016 +0800

  * topology: Update physical link configurations in Broadwell text conf
    file

commit f53ff685
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Nov 24 09:34:00 2016 +0800

  * topology: Store number of strings of a text section

commit f9633ed8
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Nov 24 09:33:52 2016 +0800

  * topology: Merge private data before embedded controls of a widget

commit fa7a52e6
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Nov 16 14:43:07 2016 +0800

  * topology: Revise document and comments for ABI v5

commit 75626fec
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Nov 16 14:42:58 2016 +0800

  * topology: ABI - Add voice wake up flag for DAI links

commit 6a93f24d
Author: Guneshwor Singh <guneshwor.o.singh@intel.com>
Date:   Wed Nov 16 14:42:49 2016 +0800

  * topology: Export physical DAIs to the binary for kernel

commit 91177153
Author: Guneshwor Singh <guneshwor.o.singh@intel.com>
Date:   Wed Nov 16 14:42:41 2016 +0800

  * topology: Support configuring physical DAIs by C API

commit 0b6bd6c1
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Nov 16 14:42:33 2016 +0800

  * topology: Parse physical DAIs in text conf file

commit 50c77cdc
Author: Guneshwor Singh <guneshwor.o.singh@intel.com>
Date:   Wed Nov 16 14:42:25 2016 +0800

  * topology: ABI - Define new types for physical DAI

commit 527c8a1b
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Nov 16 14:42:15 2016 +0800

  * topology: ABI - Update manifest and pump ABI version to 5

commit faf53c19
Author: Alan Young <consult.awy@gmail.com>
Date:   Wed Nov 2 17:40:32 2016 +0000

  * pcm_dshare: Do not discard slave reported delay in status result.

commit a668a942
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 14 11:46:05 2016 +0100

  * mixer: Don't install smixer modules unless python is enabled

commit 45975777
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:14:43 2016 +0800

  * topology: Remove BE or CC in comments of physical links C API
    template

commit a182ab29
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:14:34 2016 +0800

  * topology: Parse name and stream name of physical DAI links

commit c33b3a0e
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:14:25 2016 +0800

  * topology: Parse and build private data of physical links

commit 2894c318
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:14:15 2016 +0800

  * topology: Parse link flags of physical DAI links

commit f7bf8b0c
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:14:04 2016 +0800

  * topology: Parse HW configurations of physical DAI links in text conf
    file

commit 6b4d775b
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:13:46 2016 +0800

  * topology: Parse HW configurations of physical DAI links defined by C
    API

commit f5b275b2
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:13:36 2016 +0800

  * topology: Define new type and section name to configure physical
    links

commit cb9451b8
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:13:19 2016 +0800

  * topology: Rename varaibles for add physical links by C API

commit 50e7190d
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:13:08 2016 +0800

  * topology: ABI - Update physical DAI link configurations to ABI v5

commit 3b4e5362
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:12:57 2016 +0800

  * topology: ABI - Define DAI physical PCM data formats

commit 53f77117
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:12:40 2016 +0800

  * topology: Define a function to build a single physical DAI link

commit 18652f46
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:11:49 2016 +0800

  * topology: Merge an element's be & cc pointer to one link pointer

commit fc8e5ab4
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Sun Nov 6 13:11:04 2016 +0800

  * topology: Use snd_config_get_bool to simplify boolean flag parsing

commit d170e1ff
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Nov 4 07:08:27 2016 +0800

  * topology: tplg_elem_lookup() checks parameter before searching

commit 4136d986
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Nov 4 07:08:12 2016 +0800

  * topology: Parse and build private data for PCM

commit e4237a25
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Nov 4 07:07:58 2016 +0800

  * topology: Define a function to build a single PCM element

commit b398ed40
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Nov 4 07:07:06 2016 +0800

  * topology: Parse flags for PCM

commit f94ed5cf
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Nov 4 07:06:53 2016 +0800

  * topology: Parse sig_bits of stream caps

commit 6945156a
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Nov 4 07:05:53 2016 +0800

  * topology: ABI - Update stream caps and PCM objects to ABI v5

commit 3a5341e2
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Mon Oct 24 21:22:19 2016 +0800

  * topology: Add doc for including other files in the text conf file

commit c1694386
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Mon Oct 24 21:22:11 2016 +0800

  * conf: Search included files under user specified configuration
    directories

commit adb9866b
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Mon Oct 24 21:22:02 2016 +0800

  * topology: Fix missing stream name of widgets in text conf file

commit ced8722f
Author: Michael Forney <mforney@mforney.org>
Date:   Wed Oct 19 18:22:56 2016 -0700

  * pcm_plug: Clear plugins on all error conditions

commit 4dfae1ad
Author: Vinod Koul <vinod.koul@intel.com>
Date:   Fri Oct 7 16:28:23 2016 +0530

  * conf/ucm: skylake: add skylake-rt286 conf files

commit 4298736d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Sep 29 08:57:24 2016 +0900

  * ctl: correct documentation about TLV feature

commit e55d735f
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Sep 29 08:57:23 2016 +0900

  * ctl: improve documentation about TLV-related APIs

commit d31e37d1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Sep 29 08:57:22 2016 +0900

  * ctl: improve API documentation for TLV operation

commit ee1182d2
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Sep 29 08:57:21 2016 +0900

  * test: use actual information for TLV operation

commit 21dcb000
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Sep 29 08:57:20 2016 +0900

  * Update include/sound/tlv.h from 4.9-pre kernel uapi

commit 64481b3c
Author: Antonio Ospite <ao2@ao2.it>
Date:   Fri Sep 23 18:18:57 2016 +0200

  * ucm: docs: typeset lists of identifiers explicitly

commit 4ec907c7
Author: Antonio Ospite <ao2@ao2.it>
Date:   Fri Sep 23 18:11:16 2016 +0200

  * ucm: fix crash when calling snd_use_case_geti() with no device or
    modifier

commit 0fc4b4d1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 1 14:05:00 2016 +0200

  * pcm: Better understandable locking code

commit 3b08152f
Author: Shreyas NC <shreyas.nc@intel.com>
Date:   Tue Aug 23 09:38:36 2016 +0530

  * conf: bxtrt298: Add topology conf file for bxt

commit 47116358
Author: Shreyas NC <shreyas.nc@intel.com>
Date:   Tue Aug 23 09:38:35 2016 +0530

  * conf: sklrt286: Remove tool to generate private data blobs

commit 87803b80
Author: Shreyas NC <shreyas.nc@intel.com>
Date:   Tue Aug 23 09:38:34 2016 +0530

  * conf: sklrt286: define module private data through tuples in skylake

commit 76408567
Author: Ismael Luceno <ismael@iodev.co.uk>
Date:   Mon Aug 22 13:04:33 2016 -0300

  * pcm: Fix shm initialization race-condition

commit e2cfe3c6
Author: David Henningsson <diwic@ubuntu.com>
Date:   Sun Aug 14 09:31:25 2016 +0200

  * mixer: Fix rounding mode documentation

commit daafa451
Author: Srinivas Kandagatla <srinivas.kandagatla@linaro.org>
Date:   Mon Aug 8 16:23:10 2016 +0300

  * ucm: Add ucm files for DB410c board.

commit 1bf14401
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 2 19:48:38 2016 +0200

  * Release v1.1.2

commit ef43a007
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 2 19:47:48 2016 +0200

  * Makefile: fix sklrt286 dist files

commit 98a0a2a9
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Jul 22 13:12:54 2016 +0800

  * topology: Fix the missing referenced elem ptr when merging private
    data

commit 776eb7fa
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Jul 22 13:12:45 2016 +0800

  * topology: Fix inaccurate message on failure to find a widgets's
    reference

commit df43c2d3
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jul 20 18:58:52 2016 +0900

  * ctl: use condition statements instead of assert() for new APIs to
    add an element set

commit 9797e989
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Jul 20 09:53:12 2016 +0800

  * topology: Check address and length before string copy

commit 1a0d49be
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Jul 20 09:53:03 2016 +0800

  * topology: Add ATTRIBUTE_UNUSED for unused parameters to fix compiler
    warning

commit 8e3e194a
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Jul 20 09:52:52 2016 +0800

  * topology: Remove support for control flag SNDRV_CTL_ELEM_ACCESS_USER

commit 7bebd4c9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Sat Jul 16 22:20:01 2016 +0900

  * ctl: rename APIs to add an element set so that their names are
    appropriate

commit 962d006c
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Jul 15 20:19:58 2016 +0800

  * topology: Tuple type can have an extenstion

commit a3683a2b
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Jul 15 20:19:41 2016 +0800

  * topology: Parse vendor private data for manifest

commit 62c18098
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Jul 15 20:18:59 2016 +0800

  * topology: Change uuid value to 16 separate characters in text conf
    file

commit 2481ef31
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Jul 15 20:18:11 2016 +0800

  * topology: Merge lookup for data reference into tplg_copy_data()

commit bb03d929
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Jul 15 20:17:43 2016 +0800

  * topology: An element can refer to multipe data sections in text conf
    file

commit fce5b6dc
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:33 2016 +0900

  * mixer: remove alloca() from simple_event_add()

commit b8e17cd8
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:32 2016 +0900

  * mixer: change code formatting for simple_event_add()

commit c2a59624
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:31 2016 +0900

  * mixer: remove alloca() from simple_add1()

commit 98194d5f
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:30 2016 +0900

  * mixer: change code formatting for simple_add1()

commit 43ac77e9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:29 2016 +0900

  * mixer: remove alloca() from set_enum_item_ops()

commit 3fa73d75
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:28 2016 +0900

  * mixer: remove alloca() from get_enum_item_ops()

commit ed49382f
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:27 2016 +0900

  * mixer: remove alloca() from enum_item_name_ops()

commit 6ed74715
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:26 2016 +0900

  * mixer: remove alloca() from init_db_range()

commit 1ad6d7b8
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:25 2016 +0900

  * mixer: change code formatting for init_db_range()

commit 60920eb7
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:24 2016 +0900

  * mixer: remove alloca() from selem_write_main()

commit 116dafca
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:23 2016 +0900

  * mixer: change code formatting for selem_write_main()

commit 2a6af83d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:22 2016 +0900

  * mixer: remove alloca() from elem_write_route()

commit 5268e90d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:21 2016 +0900

  * mixer: change code formatting for elem_write_route()

commit bd09e479
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:20 2016 +0900

  * mixer: remove alloca() from elem_write_enum()

commit 5ca104cf
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:19 2016 +0900

  * mixer: change code formatting for elem_write_enum()

commit 60875a1c
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:18 2016 +0900

  * mixer: remove alloca() from elem_write_switch_constant()

commit 748912f3
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:17 2016 +0900

  * mixer: remove alloca() from elem_write_switch()

commit 2011f04e
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:16 2016 +0900

  * mixer: change code formatting for elem_write_switch()

commit 1c11f334
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:15 2016 +0900

  * mixer: remove alloca() from elem_write_volume()

commit 32393c67
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:14 2016 +0900

  * mixer: change code formatting for elem_write_volume()

commit 7ada2d6f
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:13 2016 +0900

  * mixer: remove alloca() from selem_read()

commit 8d45e412
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:12 2016 +0900

  * mixer: change code formatting for selem_read()

commit df868c77
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:11 2016 +0900

  * mixer: remove alloca() from elem_read_enum()

commit ed6acca1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:10 2016 +0900

  * mixer: change code formatting for elem_read_enum()

commit bf059f00
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:09 2016 +0900

  * mixer: remove alloca() from elem_read_route()

commit b67b9e42
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:08 2016 +0900

  * mixer: change code formatting for elem_read_route()

commit 15ff48e7
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:07 2016 +0900

  * mixer: remove alloca() from elem_read_volume()

commit bc08a11e
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:06 2016 +0900

  * mixer: change code formatting for elem_read_volume()

commit 9e1c73cd
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 15 09:23:05 2016 +0900

  * mixer: include library local header to find layout of structures

commit 33e946fd
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:51 2016 +0900

  * alisp: remove alloca() from FA_pcm_info()

commit e1d6a2b0
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:50 2016 +0900

  * alisp: remove alloca() from FA_hctl_elem_write()

commit 499b0c04
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:49 2016 +0900

  * alisp: remove alloca() from FA_hctl_elem_read()

commit f3562bea
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:48 2016 +0900

  * alisp: remove alloca() from FA_hctl_elem_info()

commit 1ef2d66a
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:47 2016 +0900

  * alisp: remove alloca() from FA_hctl_find_elem()

commit 0198c850
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:46 2016 +0900

  * alisp: remove alloca() from FA_card_info()

commit 68e659bb
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:45 2016 +0900

  * conf: remove alloca() from snd_func_private_pcm_subdevice()

commit e26ee8df
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:44 2016 +0900

  * conf: remove alloca() from snd_func_pcm_args_by_class()

commit c0cc9a01
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:43 2016 +0900

  * conf: remove alloca() from snd_func_pcm_id()

commit e1f4b9a7
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:42 2016 +0900

  * conf: remove alloca() from snd_func_card_name()

commit d270bd95
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:41 2016 +0900

  * conf: remove alloca() from snd_func_card_id()

commit b500e16c
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:40 2016 +0900

  * conf: remove alloca() from snd_determine_driver()

commit d745fcd5
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:39 2016 +0900

  * pcm: remove alloca() from _snd_pcm_softvol_open()

commit df002468
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:38 2016 +0900

  * pcm: change code formatting for _snd_pcm_softvol_open()

commit 349920f9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:37 2016 +0900

  * pcm: remove alloca() from softvol_load_control()

commit 8306bb2b
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:36 2016 +0900

  * pcm: change code formatting for softvol_load_control()

commit 709aa36b
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:35 2016 +0900

  * pcm: remove alloca() from snd_spcm_init_duplex()

commit 2edffe37
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:34 2016 +0900

  * pcm: remove alloca() from snd_spcm_init()

commit 6a0c93a0
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:33 2016 +0900

  * pcm: remove alloca() from snd_pcm_hw_set_chmap()

commit 34d2b6e9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:32 2016 +0900

  * pcm: remove alloca() from snd_pcm_hw_get_chmap()

commit 6fdaad70
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:31 2016 +0900

  * pcm: remove alloca() from snd_pcm_query_chmaps_from_hw()

commit 757c45b2
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:30 2016 +0900

  * pcm: remove alloca() from snd_pcm_hw_change_timer()

commit 44d803df
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:29 2016 +0900

  * pcm: change code formatting for snd_pcm_hw_change_timer()

commit 955d989e
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:28 2016 +0900

  * pcm: remove alloca() from _snd_pcm_hook_ctl_elems_install()

commit f7c60897
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:27 2016 +0900

  * pcm: remove alloca() from snd_pcm_direct_set_timer_params

commit 8bb090be
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:26 2016 +0900

  * pcm: change code formatting for snd_pcm_direct_set_timer_params()

commit 3219c8d4
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:25 2016 +0900

  * pcm: remove alloca() from snd_pcm_direct_initialize_poll_fd()

commit 37e0e89d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:24 2016 +0900

  * pcm: change code formatting for snd_pcm_direct_initialize_poll_fd()

commit 65fd1de2
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:23 2016 +0900

  * pcm: remove alloca() from snd_pcm_direct_initialize_slave

commit 7c27eda9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:22 2016 +0900

  * pcm: change code formatting for snd_pcm_direct_initialize_slave()

commit f889a8d5
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:21 2016 +0900

  * pcm: remove alloca() from snd_pcm_get_params

commit 8c3ffab3
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:20 2016 +0900

  * pcm: change code formatting for snd_pcm_get_params()

commit a5f54c1a
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:19 2016 +0900

  * pcm: remove alloca() from snd_pcm_set_params()

commit 804312cf
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 14 23:07:18 2016 +0900

  * pcm: change code formatting for snd_pcm_set_params()

commit 941bd150
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jul 13 23:15:23 2016 +0900

  * pcm: fix return value of snd_pcm_ioplug_sw_params()

commit 4c124b07
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jul 13 23:15:12 2016 +0900

  * pcm: fix missing return value of snd_pcm_status()

commit 9ea5748c
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jul 13 09:29:19 2016 +0900

  * ctl: add compatibility information for
    snd_ctl_elem_info_set_dimension()

commit c4b69027
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 7 15:21:14 2016 +0200

  * pcm: Add LIBASOUND_THREAD_SAFE env variable check

commit 7a8a1d15
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 30 17:24:42 2016 +0200

  * pcm: Remove home brew atomic operations

commit 54931e5a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 30 15:32:40 2016 +0200

  * pcm: Add thread-safety to PCM API

commit 16eb4120
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jul 11 21:06:03 2016 +0900

  * pcm: add 'default' case for switch statement

commit 8870c118
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jul 11 21:06:02 2016 +0900

  * mixer: remove assignment to unused variable

commit 773eeda1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jul 11 21:06:01 2016 +0900

  * pcm: set error code at failure path

commit 671dc904
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jul 11 21:06:00 2016 +0900

  * topology: initialize variable for error output

commit d7436eba
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jul 11 21:05:59 2016 +0900

  * topology: apply the same type to compared two variables

commit 5235105c
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jul 11 21:05:58 2016 +0900

  * topology: remove unused variable in get_tokens()

commit 87afc50e
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jul 11 21:05:57 2016 +0900

  * topology: remove unused variable in tplg_parse_fe_dai()

commit 5d079c76
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jul 11 00:12:34 2016 +0900

  * hctl: remove assertion from element event handler because removal
    event overwrites all of queued events

commit 08224d23
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Sat Jul 9 10:44:19 2016 +0900

  * ctl: improve documentation of APIs to add an element set

commit b6c69d70
Author: Stephen Just <stephenjust@gmail.com>
Date:   Mon Jul 4 10:51:55 2016 -0600

  * conf/ucm: chtrt5645: Add UCM config for chtrt5645

commit 42ff384a
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 8 06:43:51 2016 +0900

  * test: add linker flag with pthread for pcm-multi-thread stress test

commit 025e451b
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jul 8 06:33:17 2016 +0900

  * ctl: add dimension validator

commit 3ef71284
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sat Jul 2 10:03:55 2016 +0200

  * Add pcm-multi-thread to .gitignore

commit 147093ac
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sat Jul 2 10:03:15 2016 +0200

  * test: Add pcm-multi-thread program

commit 97fce660
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 30 21:56:41 2016 +0200

  * pcm: Remove superfluous rmb() from PCM meter plugin

commit d61d71a9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Jul 7 23:22:21 2016 +0900

  * ctl: fix a test for user-defined element set in a point of dimension

commit ea7bc7f9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 29 22:43:03 2016 +0900

  * ctl: support dimension test for user-defined element set

commit 18a46abf
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 29 22:43:02 2016 +0900

  * ctl: optimize a test for user-defined element set to changes of APIs

commit 1edc5f52
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 29 22:43:01 2016 +0900

  * ctl: optimize a test for user-defined element set to older kernels

commit 16812b70
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 29 22:43:00 2016 +0900

  * ctl: add an API to set dimension levels to element information

commit f9e60112
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 29 22:42:59 2016 +0900

  * ctl: support extra information to user-defined element set

commit 7117d22c
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Tue Jun 28 22:39:50 2016 +0900

  * ctl: use consistent name for second argument of
    snd_ctl_elem_read/write

commit 06a51e29
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jun 27 23:37:36 2016 +0900

  * ctl: use automatic variable instead of call of alloca(3)

commit 7bc88658
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Jun 27 22:02:57 2016 +0900

  * ctl: fix returning zero for dimension level 4

commit 5eb8ae1b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 23 16:29:07 2016 +0200

  * doxygen: Suppress timestamp

commit e63ec948
Author: Henrik Austad <henrik@austad.us>
Date:   Tue Jun 21 14:19:26 2016 +0200

  * INSTALL: update text and drop reference to Hg

commit 5ba71a7b
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Fri Jun 17 21:26:42 2016 +0900

  * ctl: add test program for control element set

commit fe1b0880
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 15 23:57:44 2016 +0900

  * ctl: improve API documentation for threshold level operations

commit 677160d2
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 15 23:57:43 2016 +0900

  * ctl: add explanation about threshold level feature

commit d932e018
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 15 23:57:42 2016 +0900

  * pcm: use new APIs to add a control element set for softvol plugin

commit 1680ea47
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 15 23:57:41 2016 +0900

  * ctl: change former APIs as wrapper functions of element set APIs

commit de23b0e6
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 15 23:57:40 2016 +0900

  * ctl: improve comments for API to add an element of IEC958 type

commit 07861888
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 15 23:57:39 2016 +0900

  * ctl: add functions to add an element set

commit 90020c05
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 15 23:57:38 2016 +0900

  * ctl: improve comments for handling element data

commit f3c24de8
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Jun 15 23:57:37 2016 +0900

  * ctl: add an overview for design of ALSA control interface

commit f449a299
Author: Heiko Stübner <heiko@sntech.de>
Date:   Thu Jun 9 01:17:15 2016 +0200

  * conf/ucm: ROCKCHIP-I2S: rename to VEYRON-I2S

commit d39e1879
Author: Eliot Miranda <eliot.miranda@gmail.com>
Date:   Wed Jun 1 08:16:31 2016 +0200

  * async: Handle previously installed signal handler

commit 614ce73d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 31 12:48:40 2016 +0200

  * pcm: dmix: Return error when slave is in OPEN or DISCONNECTED

commit 8feb96ed
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 31 12:46:03 2016 +0200

  * pcm: dmix: Prepare slave when it's in SETUP, too

commit 6d1d620e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 25 15:03:51 2016 +0200

  * pcm: dmix: resume workaround for buggy driver

commit 2fa36eb0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sat May 28 10:37:26 2016 +0200

  * pcm: Fix secondary retry in dsnoop and dshare

commit d942498b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 18 10:38:27 2016 +0200

  * pcm: Remove resume support from dmix & co

commit c9a0d7d6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 17 15:39:07 2016 +0200

  * conf: Add thread-safe global tree reference

commit 5fb3fe17
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 12 16:33:19 2016 +0200

  * pcm: Define namehint for single directional PCM types

commit 8cdbdae7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 12 16:30:44 2016 +0200

  * namehint: Don't enumerate as duplex if only a single direction is
    defined

commit 5610b356
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 11 13:06:25 2016 +0200

  * pcm: dmix: Fix doubly resume of slave PCM

commit c14b0a08
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 11 09:06:47 2016 +0200

  * pcm: Fix suspend/resume regression with dmix & co

commit a192f52f
Author: Enric Balletbo i Serra <enric.balletbo@collabora.com>
Date:   Thu May 5 08:32:06 2016 +0200

  * conf/ucm: ROCKCHIP-I2S: add Rockchip I2S UCM config.

commit 85bf9915
Author: Jörg Krause <joerg.krause@embedded.rocks>
Date:   Sun May 8 20:48:42 2016 +0200

  * pcm: softvol: fix conversion of TLVs min_db and max_dB value

commit 76af5bf8
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Apr 29 11:03:45 2016 +0800

  * topology: Update PCM configurations in Broadwell text conf file

commit 25d6f8e6
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Apr 29 11:03:37 2016 +0800

  * topology: Parse front-end DAI name and ID for the PCM

commit 5d23c406
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Apr 29 11:03:30 2016 +0800

  * topology: Fix pcm ID & name parsing

commit 0935e32d
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Apr 29 11:03:22 2016 +0800

  * topology: Use generic pointer to realloc buffer for private data

commit 86ec8b49
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Apr 29 11:03:04 2016 +0800

  * topology: Refactor functions to parse and build streams

commit e64334df
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Fri Apr 29 11:02:57 2016 +0800

  * topology: Set manifest size for ABI

commit a0acd51d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 28 16:16:08 2016 +0200

  * Add src/conf/topology/sklrt286/data/pvt_data to .gitignore

commit 65b27103
Author: Shreyas NC <shreyas.nc@intel.com>
Date:   Thu Apr 28 11:07:58 2016 +0530

  * conf: topology: Generate Private data binary blobs

commit a8ca6d1c
Author: Shreyas NC <shreyas.nc@intel.com>
Date:   Thu Apr 28 11:07:57 2016 +0530

  * Add u8 in type_compat.h

commit f5c313ea
Author: Shreyas NC <shreyas.nc@intel.com>
Date:   Thu Apr 28 11:07:56 2016 +0530

  * conf: topology: Add Skylake i2s conf

commit fdba9e1b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 17:33:03 2016 +0200

  * pcm: Fallback open as the first instance for dmix & co

commit e57b521c
Author: Hsin-Yu Chao <hychao@chromium.org>
Date:   Wed Apr 13 18:53:09 2016 +0800

  * ucm: add cset-tlv

commit 0c5e5c18
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Apr 7 15:29:49 2016 +0800

  * topology: Build data objects with tuples

commit fdb9a6d1
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Apr 7 15:29:43 2016 +0800

  * topology: Add support for parsing vendor tuples

commit 9b751b38
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Apr 7 15:29:36 2016 +0800

  * topology: Add support for vendor tokens

commit 768a0060
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Apr 7 15:29:27 2016 +0800

  * topology: ABI - Define types for vendor tuples

commit 2fd8d388
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Apr 7 15:29:15 2016 +0800

  * topology: Add doc for vendor tuples

commit 6b31bf8e
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Apr 7 15:29:01 2016 +0800

  * topology: Define a free handler for the element

commit 374c5fa9
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Apr 7 15:28:42 2016 +0800

  * topology: Use the generic pointer to free an element's object

commit 503a285e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 7 16:29:41 2016 +0200

  * pcm: Clean up error paths in snd_pcm_plugin_*() helpers

commit 7c424edd
Author: Shengjiu Wang <shengjiu.wang@freescale.com>
Date:   Wed Apr 6 19:02:12 2016 +0800

  * pcm_plugin: fix appl pointer not correct when mmap_commit() return
    error

commit 6a610e56
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 31 15:10:39 2016 +0200

  * Release v1.1.1

commit 83720623
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Mar 14 08:07:38 2016 +0000

  * topology: Add support for widget byte controls

commit f5e00622
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Mar 14 08:07:37 2016 +0000

  * topology: add support for CTL access flags to config file

commit d1784ad8
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Mar 14 08:07:36 2016 +0000

  * topology: add support for pasring external ops in conf files

commit 65cb4ffe
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Mar 14 08:07:35 2016 +0000

  * topology: Add ops to bytes control.

commit dec428c3
Author: Qing Cai <bsiice@msn.com>
Date:   Thu Mar 10 07:40:51 2016 -0500

  * pcm: fix 'unable to create IPC shm instance' caused by fork from a
    thread

commit e0e3ce5f
Author: Martin Koegler <martin.koegler@chello.at>
Date:   Thu Mar 3 22:39:37 2016 +0100

  * seq: Provide sequencer sound card number / PID via alsa-lib

commit 3adfa1b3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 4 10:57:32 2016 +0100

  * Update include/sound/asequencer.h from 4.6-pre kernel uapi

commit 2c68581c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 4 10:52:18 2016 +0100

  * Update include/sound/asound.h from 4.6-pre kernel uapi

commit 19fbcb7c
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Mar 3 15:08:04 2016 +0100

  * topology: Remove unnecessary includes

commit 52a96494
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Mar 3 12:58:07 2016 +0100

  * Use alphasort where versionsort is not available.

commit 0e3e5740
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Mar 3 12:57:34 2016 +0100

  * Only use F_SETSIG fcntl where it exists.

commit 31230b24
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Mar 3 12:56:58 2016 +0100

  * Add more compatibility defines.

commit e0d52fdd
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Mar 3 12:16:57 2016 +0100

  * Introduce bswap.h for portable definitions of byte swap macros.

commit 25e6b5b4
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Wed Mar 2 23:11:54 2016 +0100

  * Define some types if missing

commit 623d3be0
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Wed Feb 24 14:15:10 2016 +0100

  * Define EBADFD in terms of EBADF if it doesn't exist.

commit 6d473619
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Feb 22 22:13:31 2016 +0900

  * control: keep consistent usage of assertion

commit 2b0ea7ee
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Feb 22 01:54:28 2016 +0900

  * control: initialize element channel values according to
    identification number at adding a new element

commit c2518902
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Feb 22 01:54:19 2016 +0900

  * control: fulfill a description about element type with integer64

commit c3c9206d
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Feb 1 14:20:44 2016 +0000

  * topology: fix debug output to print correct "max" value.

commit df20aa2a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 12 16:25:42 2016 +0100

  * coverity fixes

commit 0f4f48d3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 12 16:07:16 2016 +0100

  * pcm_hw: fix possible memory leak (coverity)

commit 822e781a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 12 15:58:25 2016 +0100

  * control: add missing asserts to ctl_elem_set functions

commit c7e87084
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 12 14:56:18 2016 +0100

  * config files - do not include ucm/topology configuration when not
    requested

commit b917a0c0
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Nov 19 03:33:12 2015 -0500

  * topology: Quit and show error message on big-endian machines

commit cde9a37c
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Nov 19 03:33:05 2015 -0500

  * topology: Not compare a for loop iterator with ABI __le32 variables

commit 8504a41d
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Nov 18 02:23:59 2015 -0500

  * topology: Fix comparison of unsigned expression < 0

commit 605551ae
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Nov 18 02:23:19 2015 -0500

  * topology: Remove unused variables

commit a661f144
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Wed Nov 18 02:22:59 2015 -0500

  * topology: Remove unused function write_data_block()

commit 9b09a3d5
Author: Vinod Koul <vinod.koul@intel.com>
Date:   Wed Nov 18 19:12:46 2015 +0530

  * topology: open topology files with O_TRUNC

commit 57ae61ce
Author: Peter Rosin <peda@axentia.se>
Date:   Wed Nov 11 16:11:10 2015 +0100

  * pcm: simple: Fix asserts

commit 3f1dba9a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 9 13:37:26 2015 +0100

  * topology: Add missing include sys/stat.h

commit fe6b51c7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 9 08:39:18 2015 +0100

  * Release v1.1.0

commit 0b48b617
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sat Nov 7 11:29:13 2015 +0100

  * topology: Add missing prototypes for new functions

commit 7eb683ee
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Fri Nov 6 14:57:17 2015 +0000

  * topology: remove little endian type from userspace header

commit 93b420b9
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Nov 5 20:49:36 2015 +0800

  * topology: Add C API support for PCM

commit 2286a6fd
Author: Vedang Patel <vedang.patel@intel.com>
Date:   Thu Nov 5 20:49:23 2015 +0800

  * topology: Add C API support for BE and CC Links.

commit ed5ee7ec
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Nov 5 20:49:10 2015 +0800

  * topology: ABI - Rename dai_elems to pcm_elems in manifest

commit 9977accd
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Nov 5 20:49:02 2015 +0800

  * topology: ABI - Change stream formats to a bitwise flag

commit f934c3de
Author: Vedang Patel <vedang.patel@intel.com>
Date:   Thu Nov 5 20:48:54 2015 +0800

  * topology: ABI - Use __le32 instead of __u32 in
    snd_soc_tplg_dapm_widget

commit c5f53c1b
Author: Vedang Patel <vedang.patel@intel.com>
Date:   Thu Nov 5 20:48:46 2015 +0800

  * topology: ABI - Remove unused struct snd_soc_tplg_stream_config

commit 79ef136f
Author: Mengdong Lin <mengdong.lin@linux.intel.com>
Date:   Thu Nov 5 20:48:38 2015 +0800

  * topology: ABI - Remove tdm_slot & dai_fmt from snd_soc_tplg_stream

commit 368e4f2a
Author: Vedang Patel <vedang.patel@intel.com>
Date:   Thu Nov 5 20:48:30 2015 +0800

  * topology: ABI - Separate PCM & BE/CC link support and bump ABI
    version to 4

commit b73d50fc
Author: Vedang Patel <vedang.patel@intel.com>
Date:   Thu Nov 5 20:48:18 2015 +0800

  * topology: ABI - Add name element to snd_soc_tplg_stream

commit 561df6fd
Author: Mike Frysinger <vapier@chromium.org>
Date:   Tue Oct 27 17:28:04 2015 -0400

  * support building w/out System V shared memory

commit 7e908674
Author: Mike Frysinger <vapier@chromium.org>
Date:   Tue Oct 27 17:28:03 2015 -0400

  * pcm: drop unused sys/shm.h inclusion

commit 5a249875
Author: Mike Frysinger <vapier@chromium.org>
Date:   Tue Oct 27 17:27:55 2015 -0400

  * move page helpers to common code

commit 8985742d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 30 17:13:50 2015 +0100

  * pcm: dmix: Handle slave PCM xrun and unexpected states properly

commit 99dc70f0
Author: Mike Frysinger <vapier@chromium.org>
Date:   Fri Oct 9 17:47:40 2015 -0400

  * fix _GNU_SOURCE handling & header inclusion

commit 08c4b3b0
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Tue Oct 6 01:08:59 2015 +0900

  * hwdep: add FireWire digi00x/tascam driver support

commit f07e9af7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 2 11:55:36 2015 +0200

  * pcm: ladspa: Fix segfault due to a wrong channel reference

commit 8b0a5310
Author: Mengdong Lin <mengdong.lin@intel.com>
Date:   Wed Sep 16 17:07:13 2015 +0800

  * topology: Add API to set a vendor specific version number

commit c8241765
Author: Khem Raj <raj.khem@gmail.com>
Date:   Tue Sep 15 18:48:02 2015 +0300

  * build: Do not try to detect cross-compiler

commit 9a2fe539
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 8 22:15:02 2015 +0200

  * topology: pcm: Remove unused variables

commit e38b13f1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 8 22:13:50 2015 +0200

  * topology: parser: Add missing return value to
    snd_tplg_set_manifest_data()

commit 5b21400c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 8 22:11:48 2015 +0200

  * topology: data: Fix wrong size check in tplg_parse_data_hex()

commit f41fe763
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 8 22:09:44 2015 +0200

  * topology: ctl: Fix access type checks

commit 76b9cae0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 8 22:04:48 2015 +0200

  * topology: builder: Fix possibly uninitialized variable in
    write_elem_block()

commit 03d6b152
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 8 21:48:17 2015 +0200

  * pcm: route: Remove bogus ! in snd_config_get_id() checks

commit fe8bb1fe
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 8 20:57:47 2015 +0200

  * pcm: ioplug,extplug: Fix logic errors in type checks

commit 3313f874
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Aug 24 20:37:29 2015 +0200

  * pcm: Fix doxygen for two enums

commit 5b518c91
Author: Mengdong Lin <mengdong.lin@intel.com>
Date:   Tue Aug 11 18:23:17 2015 +0100

  * topology: A API calls to directly build topology data from templates

commit 1b148ef5
Author: Mengdong Lin <mengdong.lin@intel.com>
Date:   Tue Aug 11 18:23:16 2015 +0100

  * topology: Add C templates structure for building topology from C
    programs

commit ab9633d5
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Tue Aug 11 18:23:15 2015 +0100

  * core: add convenience macros to local.h

commit 634712d2
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Aug 10 19:13:47 2015 +0100

  * topology: rename OBJECT_TYPE_ to SND_TPLG_TYPE_

commit b47cf001
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Fri Aug 7 16:39:16 2015 +0100

  * topology: print error prefix on error message.

commit ecf7fdae
Author: Mengdong Lin <mengdong.lin@intel.com>
Date:   Fri Aug 7 16:39:15 2015 +0100

  * topology: treat all DAPM controls types the same when copying

commit 80a8283d
Author: Mengdong Lin <mengdong.lin@intel.com>
Date:   Wed Aug 5 14:41:51 2015 +0100

  * topology: Add ops support to byte control objects.

commit 8c8372cc
Author: Mengdong Lin <mengdong.lin@intel.com>
Date:   Wed Aug 5 14:41:50 2015 +0100

  * topology: update ABI to improve support for different TLV object
    types.

commit d5e7e8bb
Author: Mengdong Lin <mengdong.lin@intel.com>
Date:   Tue Aug 4 18:09:46 2015 +0100

  * topology: Add support for writing manifest private data.

commit 120b3b8e
Author: Jin Yao <yao.jin@linux.intel.com>
Date:   Tue Aug 4 18:09:12 2015 +0100

  * topology: Add element ID so we can look up references by name.

commit 1bb4c2fc
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Tue Aug 4 18:06:55 2015 +0100

  * topology: fix element object type is switch()

commit 66ce9f9a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 30 16:43:19 2015 +0200

  * topology: Fix typos

commit 907e4645
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 30 16:34:50 2015 +0200

  * topology: Fix missing inclusion of ctype.h

commit 00a51b5b
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:25 2015 +0100

  * conf: topology: Add topology file for broadwell audio DSP

commit 22603237
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:24 2015 +0100

  * topology: doxygen: Add doxygen support for topology core.

commit fec1e8f2
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:23 2015 +0100

  * topology: autotools: Add build support for topology core

commit 1d1dff56
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:22 2015 +0100

  * topology: Add binary file builder.

commit 9764a4b8
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:21 2015 +0100

  * topology: Add Channel map parser.

commit 694b857c
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:20 2015 +0100

  * topology: Add CTL parser

commit 01a0e1a1
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:19 2015 +0100

  * topology: Add DAPM object parser

commit 5b379da2
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:18 2015 +0100

  * topology: Add private data parser

commit 353f1edd
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:17 2015 +0100

  * topology: Add operations parser

commit 4db19506
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:16 2015 +0100

  * topology: Add PCM parser.

commit 408396a8
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:15 2015 +0100

  * topology: Add text section parser.

commit 37692bb9
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:14 2015 +0100

  * topology: Add topology core parser.

commit 227c790c
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Wed Jul 29 17:45:13 2015 +0100

  * topology: uapi: Add UAPI headers for topology ABI

commit d0e13f87
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 27 12:32:37 2015 +0200

  * Replace list.h with its own version

commit 77b6be63
Author: Martin Geier <martin.geier@streamunlimited.com>
Date:   Fri Jul 24 09:30:57 2015 +0200

  * pcm: restore hw params on set latency failed

commit 6849d7dc
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>
Date:   Wed Jul 1 15:40:58 2015 -0500

  * test: audio_time: show report validity and accuracy

commit 7bb3a74c
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>
Date:   Wed Jul 1 15:40:57 2015 -0500

  * test: fix audio_time with new get/set audio_tstamp_config

commit cc8b7343
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>
Date:   Wed Jul 1 15:40:56 2015 -0500

  * pcm: add support for new STATUS_EXT ioctl

commit 6ec2464f
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>
Date:   Wed Jul 1 15:40:55 2015 -0500

  * pcm: add support for get/set_audio_htstamp_config

commit 6cb31b44
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>
Date:   Wed Jul 1 15:40:54 2015 -0500

  * pcm: add helper functions to query timestamping capabilities

commit 4dc44bb3
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Mon Jun 29 22:53:53 2015 +0500

  * Replace unsafe characters with _ in card name

commit c6df8273
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Jun 29 16:25:59 2015 +0100

  * docs: Add UCM link to main doxygen page.

commit bb92545e
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Jun 29 16:25:58 2015 +0100

  * ucm: docs: Fix doxygen formatting for UCM main page.

commit f66c7cc2
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Mon Jun 29 16:25:57 2015 +0100

  * ucm: docs: fix doxygen exclude patch for UCM local header

commit bbe9248e
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Thu Jun 18 10:47:59 2015 +0200

  * surround41/50.conf: Use chmap syntax for better flexibility

commit 9ee6ec80
Author: Shengjiu Wang <shengjiu.wang@freescale.com>
Date:   Fri Jun 12 16:15:08 2015 +0800

  * PCM: snd_pcm_xxxx_drain() maybe blocked after suspend and resume

commit 2fd098b5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 10 11:56:23 2015 +0200

  * control: Allow cset'ing specific values in the multi-value case

commit 18ce3ec9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 2 16:47:50 2015 +0200

  * pcm: Fix snd_pcm_status() for dmix & co

commit a5e5e3cd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jun 1 13:45:01 2015 +0200

  * pcm: Don't assert in _snd_pcm_hw_params_internal()

commit 8551fe25
Author: Christophe Lohr <christophe.lohr@cegetel.net>
Date:   Mon Jun 1 13:43:36 2015 +0200

  * test/pcm_min: Fix error messages

commit 9120f2de
Author: Christophe Lohr <christophe.lohr@cegetel.net>
Date:   Mon Jun 1 13:41:49 2015 +0200

  * test/pcm: Fix generated values with float PCM format

commit 67f73b0f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 21 07:26:39 2015 +0200

  * pcm: Remove assert() from snd_pcm_hw_params_slave()

commit b4222f3f
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Mon May 4 19:10:38 2015 +0300

  * ucm: allow multiple devices in JackHWMute

commit 404951da
Author: Jie Yang <yang.jie@intel.com>
Date:   Fri May 8 15:18:47 2015 +0800

  * conf/ucm: broadwell-rt286: change to set capture volume and capture
    device

commit 434f2f02
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 30 15:02:04 2015 +0200

  * conf: Add hint descriptions to ctl, hwdep, seq and timer devices

commit 7d9972c6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 30 14:52:35 2015 +0200

  * Allow hint for ctl, hwdep, timer and seq

commit 46d98392
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 30 14:38:25 2015 +0200

  * namehint: Fix bad free with invalid iface name

commit c8667e3d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 30 14:32:49 2015 +0200

  * namehint: Fix the listing without device number

commit bf98b4e3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 30 12:26:43 2015 +0200

  * namehint: Fix invalid list access in snd_device_name_hint()

commit ba6fa7b5
Author: Jie Yang <yang.jie@intel.com>
Date:   Tue Apr 28 15:40:22 2015 +0800

  * conf/ucm: broadwell-rt286: change to use the correct jack kcontrol
    name

commit b07de7c2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 21 12:49:29 2015 +0200

  * Sync include/sound/asound.h with 4.1 kernel

commit c39d0834
Author: Richard Körber <dev@shredzone.de>
Date:   Wed Jan 21 22:50:27 2015 +0100

  * USB-audio: Sound Blaster HD iec958 is on device 1

commit ecb38d2b
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Thu Mar 5 14:51:58 2015 +0200

  * ucm: improve jack configuration documentation

commit 72aa0f83
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Thu Mar 5 14:51:57 2015 +0200

  * ucm: reformat snd_use_case_get() doc

commit 9d649add
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 5 11:03:56 2015 +0100

  * conf/ucm: Add Makefile.am for broadwell-rt286 ucm config

commit 3c263716
Author: Bard Liao <bardliao@realtek.com>
Date:   Thu Mar 5 08:38:55 2015 +0800

  * conf/ucm: broadwell-rt286: add ucm config

commit c56064e1
Author: Lu, Han <han.lu@intel.com>
Date:   Thu Mar 5 08:38:54 2015 +0800

  * ucm: document some standard values

commit 16c956e5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 26 13:34:52 2015 +0100

  * Release v1.0.29

commit 567c831e
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Tue Feb 17 21:15:23 2015 +0200

  * ucm: fix some variable constness issues

commit a102e664
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Tue Feb 17 21:15:22 2015 +0200

  * ucm: fix the logic of choosing the default cdev

commit 1dd239b7
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Tue Feb 17 21:15:21 2015 +0200

  * ucm: fix incorrect error code sign

commit 4f045ac8
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Mon Feb 16 21:47:58 2015 +0200

  * .gitignore: add test-driver

commit a540bb3f
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Tue Feb 10 22:42:32 2015 +0200

  * ucm: fix variable mixup

commit 4e398ddf
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Tue Feb 10 00:27:19 2015 +0900

  * control: complement comment for subscribe API

commit 56499c30
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sat Jan 31 23:26:07 2015 +0500

  * conf: add support for USB AudioSport Quattro (tm)

commit dbb7eca6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 28 16:21:14 2015 +0100

  * Remove unused hostname resolution in shm plugins and aserver

commit 6ea14c36
Author: Lu, Han <han.lu@intel.com>
Date:   Thu Jan 22 09:32:47 2015 +0800

  * ucm: add binary configure file parse

commit 3b5fac6d
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Thu Jan 15 17:27:29 2015 +0100

  * conf/ucm: GoogleNyan: Add configuration

commit 187ba1d8
Author: Matthieu Crapet <Matthieu.Crapet@ingenico.com>
Date:   Wed Jan 14 15:42:45 2015 +0100

  * autotools: fix ucm partial build

commit f47480af
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Jan 14 09:08:30 2015 +0800

  * control: enable octal and hexadecimal parse

commit b2ed0aa9
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Tue Dec 30 20:46:11 2014 +0200

  * pcm: fix buffer overflow in snd_pcm_chmap_print()

commit 93b0e9ca
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Sat Nov 29 01:03:34 2014 +0900

  * hwdep: add OXFW driver support

commit a649c4b1
Author: Tim Cussins <timcussins@eml.cc>
Date:   Tue Nov 25 14:44:54 2014 +0000

  * pcm: Fix assorted tstamp_type bugs/omissions.

commit 72c8b07b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 21 15:25:30 2014 +0100

  * ucm: Fix uninitialized err in snd_use_case_set()

commit b779f6f4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 21 15:22:01 2014 +0100

  * mixer: Fix unused parameter warnings

commit c0a70818
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 21 15:20:48 2014 +0100

  * mixer: Fix inclusion of config.h

commit b14c49ab
Author: Jussi Laako <jussi@sonarnerd.net>
Date:   Fri Nov 21 16:04:47 2014 +0200

  * pcm: Fix DSD sample format endianess and add big-endian format

commit 984db83a
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Nov 17 11:29:34 2014 +0100

  * USB-audio: Add five more cards to IEC958 blacklist

commit 1eecc3a5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun Nov 16 09:43:39 2014 +0100

  * dlmisc: Remove unused label

commit 11fdac94
Author: John Spencer <maillist-alsa@barfooze.de>
Date:   Sat Nov 15 13:41:00 2014 +0100

  * snd_dlsym: only do versioning checks if built --with-versioning

commit 5a066cb8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Nov 6 12:12:02 2014 +0100

  * pcm: dmix: Don't ignore SND_TIMER_EVENT_MSTOP

commit c7bfcbb2
Author: Andreas Schwab <schwab@suse.de>
Date:   Mon Nov 3 17:22:28 2014 +0100

  * snd_user_file: fix memory leak

commit ebd6afc9
Author: Panu Matilainen <pmatilai@laiskiainen.org>
Date:   Mon Nov 3 17:42:44 2014 +0200

  * USB-Audio: Add Scarlett 2i4 USB to S/PDIF blacklist

commit 24b4e86d
Author: zombah <zombah@gmail.com>
Date:   Tue Sep 23 19:53:43 2014 +0400

  * conf/ucm: PAZ00: add Toshiba AC100/Dynabook AZ new config

commit 7c1f36db
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 23 09:11:27 2014 +0200

  * mixer: Fix missing hctl handle free in snd_mixer_attach_hctl()

commit f78ba070
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:08:23 2014 +0200

  * pcm: return negative value in case of error

commit 5a0b9925
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:08:09 2014 +0200

  * control: return negative value in case of error

commit b356cd29
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:07:20 2014 +0200

  * conf: return negative value in case of error

commit 69e0aaa5
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:07:13 2014 +0200

  * pcm_hooks: null check for h

commit bd0b008c
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:06:36 2014 +0200

  * socket: missing socket close

commit f3f568e3
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:06:28 2014 +0200

  * simple_abst: null check for lib

commit 30f289a8
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:05:39 2014 +0200

  * pcm_share: fixing missing mutex unlock

commit 09f5c75e
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:05:27 2014 +0200

  * rawmidi: close handle h

commit 0ee46280
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:04:26 2014 +0200

  * sbase: fixed missing free

commit d37f9187
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:04:19 2014 +0200

  * pcm_file: fixed missing free

commit 020bb301
Author: Renu Tyagi <renu.tyagi@samsung.com>
Date:   Tue Sep 23 09:01:36 2014 +0200

  * mixer: fixed double free

commit 9ab3c4a6
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Wed Sep 17 07:07:03 2014 +0900

  * hwdep: add missing declaration for
    snd_hwdep_poll_descriptors_count()

commit 048568bb
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Mon Sep 15 20:17:47 2014 +0600

  * pcm, rate: hw_avail must not be negative before starting the stream

commit 650b8c97
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 16 09:00:39 2014 +0200

  * pcm route: Fix the bad condition (always false)

commit 99e57cb4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Sep 14 18:33:37 2014 +0200

  * Revert "pcm: rewindable, forwardable: don't return stale data"

commit f803a339
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:21 2014 +0600

  * pcm, file: don't recurse in the rewindable and forwardable callbacks

commit 6db0fe49
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:20 2014 +0600

  * pcm: rewindable, forwardable: don't return stale data

commit e5e1af83
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:19 2014 +0600

  * dsnoop: rewindable and forwardable logic was swapped

commit ff9d213f
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:18 2014 +0600

  * rate: handle negative values from snd_pcm_mmap_playback_hw_avail

commit 4fafa468
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:17 2014 +0600

  * pcm, null: use the snd_pcm_mmap_avail function

commit 0889e947
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:16 2014 +0600

  * pcm, rate: use the snd_pcm_mmap_hw_avail function

commit 78c804fc
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:15 2014 +0600

  * pcm: handle negative values from snd_pcm_mmap_hw_avail

commit 9a43dc15
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:14 2014 +0600

  * pcm: express the rewind size limitation logic better

commit 9a56a673
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Sep 14 00:30:13 2014 +0600

  * dmix: actually rewind when running or being drained

commit e59ffbf3
Author: Jurgen Kramer <gtmkramer@xs4all.nl>
Date:   Wed Sep 10 09:00:28 2014 +0200

  * pcm: add new 32-bit DSD sample format

commit 622b1b6b
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Tue Sep 2 01:29:36 2014 +0600

  * pcm: fix return value of snd_pcm_share_slave_avail

commit 99a2254f
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Sun Aug 31 22:23:47 2014 +0600

  * pcm: fix snd_pcm_mmap_hw_avail() near the boundary

commit 5f1960e3
Author: Dmitry Voytik <voytikd@gmail.com>
Date:   Fri Aug 22 14:17:10 2014 +0400

  * doc: fix cross-compiling example

commit b9f58dcc
Author: Jurgen Kramer <gtmkramer@xs4all.nl>
Date:   Fri Aug 22 10:15:10 2014 +0200

  * pcm: 2nd round of pcm_misc DSD fixes

commit dfc3bf97
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Mon Aug 18 18:45:17 2014 +0900

  * Sync enum snd_hwdep_iface_t with include/asound/asound.h

commit e8e54811
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 11 11:55:03 2014 +0200

  * pcm: Add missing signed and endianess definitions for DSD formats

commit 717ae3dd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 11 11:51:29 2014 +0200

  * Sync include/sound/asound.h with 3.17-rc1 kernel

commit 87df9f3b
Author: Jurgen Kramer <gtmkramer@xs4all.nl>
Date:   Sat Aug 9 12:09:21 2014 +0200

  * pcm: Fix DSD formats userland usability

commit f6b879e7
Author: Shengjiu Wang <shengjiu.wang@freescale.com>
Date:   Wed Jul 23 15:09:58 2014 +0800

  * pcm: pcm_local.h: include <time.h> to enable CLOCK_MONOTONIC

commit 7a5646f5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 22 12:20:50 2014 +0200

  * pcm: Drop snd_pcm_linear_{get|put}32_index()

commit fd84adc6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 22 11:55:40 2014 +0200

  * pcm: route: Use get32 for multi-source route calculation

commit 55c53625
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 16 17:48:34 2014 +0200

  * pcm: Fill sw_params proto field

commit de63b942
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 21 16:30:54 2014 +0200

  * pcm: route: Use get/put labels for all 3 byte formats

commit 52444bd4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 14 18:12:49 2014 +0200

  * test/audio_time: Set timestamp type explicitly

commit 65ff6fda
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 10 14:37:49 2014 +0200

  * pcm: Implement timestamp type handling in all plugins

commit 9b716075
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 10 14:32:50 2014 +0200

  * pcm: Implement timestamp type setup in hw plugin

commit 0d393c29
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 10 14:26:37 2014 +0200

  * pcm: Add sw_params API functions to get/set timestamp type

commit 5250a8e2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 10 14:22:33 2014 +0200

  * Add timestamp type to sw_params (internal only)

commit 85e47041
Author: Mark Brown <broonie@linaro.org>
Date:   Tue Jul 8 16:52:32 2014 +0200

  * pcm: Provide a CLOCK_MONOTONIC_RAW timestamp type

commit 035f196b
Author: Shengjiu Wang <shengjiu.wang@freescale.com>
Date:   Mon Jul 14 16:55:48 2014 +0800

  * pcm: rate: fix hw_ptr exceed the boundary

commit ea865bba
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Tue Jul 8 11:19:20 2014 +0300

  * USB-Audio: Add second S/PDIF device on Phiree U2

commit 27cc710b
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Tue Jul 1 00:40:48 2014 +0600

  * ICE1712: add surround71 pcm definition

commit 7a748af4
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
Date:   Thu Jun 26 13:30:25 2014 +0300

  * ucm: Document PlaybackPCMIsDummy and CapturePCMIsDummy values

commit c2f8ef7a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 17 14:34:19 2014 +0200

  * Release v1.0.28

commit 47ee7809
Author: Sergey <sergemp@mail.ru>
Date:   Mon Jun 16 19:52:51 2014 +0400

  * alsa-lib: pcm_plug: fix float conversion for user specified ttable

commit 95ab1c1c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 13 19:18:43 2014 +0200

  * Loopback.conf: fix the comment

commit 8bdec315
Author: Jordi Mallach <jordi@debian.org>
Date:   Fri Jun 28 15:01:40 2013 +0200

  * Add -lm to test programs to fix build failure.

commit 5256e150
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 13 11:15:07 2014 +0200

  * pcm: rate plugin - remove the rewind/forward implementation

commit 614a66bb
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Thu Jun 12 16:34:22 2014 +0600

  * pcm: rate: add rewindable and forwardable callbacks

commit 9c3086fb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 13 10:46:54 2014 +0200

  * pcm: null plugin - fix the avail count

commit 084e7a91
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Thu Jun 12 16:34:24 2014 +0600

  * pcm: null: add rewindable and forwardable callbacks

commit fb73f310
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Thu Jun 12 16:34:23 2014 +0600

  * pcm: multi: implement rewindable and forwardable callbacks

commit 68ae0c72
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Thu Jun 12 16:34:21 2014 +0600

  * pcm:file: add the missing htimestamp callback

commit 042223c4
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Sun Jun 8 12:58:56 2014 +0300

  * pcm: Fix channel map query when there are lots of maps

commit 84f8b976
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Tue May 27 09:51:21 2014 +0200

  * pcm: route: Correctly close slave pcm when no matching chmap is
    found

commit 80a43f23
Author: Alexander E. Patrakov <patrakov@gmail.com>
Date:   Thu Apr 24 20:40:06 2014 +0600

  * pcm: Fix forward/rewind support in iec958 plugin

commit 351870fd
Author: Andrew Eikum <aeikum@codeweavers.com>
Date:   Fri Apr 4 13:27:25 2014 -0500

  * pcm: rate: Don't return negative frame count on success in rewind

commit 8dcce52e
Author: Matthias Larisch <mail@matthias-larisch.de>
Date:   Thu Mar 27 19:05:10 2014 +0100

  * pcm: ladspa: Delay LADSPA plugin activate call

commit 015c34bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 19 10:54:08 2014 +0100

  * Revert "pcm: route: Don't handle no matching chmap as a serious
    error"

commit dbe6d7f8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 19 10:52:24 2014 +0100

  * route: Fix invalid pointer access

commit d794af65
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Tue Mar 18 23:07:19 2014 +0100

  * route: Return NULL in case of zero found channels in determine_chmap

commit 5b72e3d5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 18 15:23:09 2014 +0100

  * pcm: route: Don't handle no matching chmap as a serious error

commit cbcc7803
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 11 10:59:21 2014 +0100

  * src/conf/cards: Add missing entry for Loopback.conf

commit 688004a6
Author: MONTANARO Luciano (MM) <luciano.montanaro@magnetimarelli.com>
Date:   Tue Mar 4 12:51:36 2014 +0100

  * pcm: Wrap hw_ptr to boundary in pcm_ioplug

commit 48f1b308
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Feb 28 08:57:07 2014 +0100

  * conf: Allow 2.1 surround to use different number of channels

commit 5c4cd468
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Feb 28 08:57:06 2014 +0100

  * pcm: route: Select slave chmap based on ttable information

commit 8ad8d222
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Feb 28 08:57:05 2014 +0100

  * pcm: route: Allow chmap syntax for slave channels in ttable

commit 2da7b0c2
Author: Maarten Baert <maarten-baert@hotmail.com>
Date:   Wed Feb 26 14:23:45 2014 +0100

  * pcm: Insert linear-to-float conversion when rate or channel count is
    incorrect

commit b669b50d
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Tue Feb 25 12:40:21 2014 +0000

  * autotools: update style

commit 7a6e8ca3
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Sun Feb 23 11:12:48 2014 +0000

  * Portability fix: look for sys/endian.h as well as endian.h

commit 1af088e3
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Tue Feb 18 16:41:49 2014 +0100

  * conf: Add surround 2.1 support to all cards

commit 57b5076c
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Tue Feb 18 16:41:48 2014 +0100

  * conf: Add basic infrastructure for 2.1 surround sound

commit 326c6802
Author: Riku Voipio <riku.voipio@linaro.org>
Date:   Fri Feb 7 15:38:58 2014 +0200

  * alsa-lib: heavy pcm atomics cleanup

commit 66f07aa3
Author: Olivier Langlois <olivier@trillion01.com>
Date:   Thu Jan 23 19:03:00 2014 -0500

  * pcm: use CLOCK_REALTIME for non-monotonic ts

commit 507cdc13
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jan 23 09:46:37 2014 +0100

  * pcm: initialize monotonic field for dshare and dsnoop, too

commit e51cd448
Author: Olivier Langlois <olivier@trillion01.com>
Date:   Wed Jan 22 19:04:45 2014 -0500

  * pcm: initialize pcm_dmix monotonic field

commit 336dc58b
Author: Ivan Sorokin <vanyacpp@gmail.com>
Date:   Wed Jan 22 00:12:50 2014 +0400

  * control_hw: fix potential memory leak

commit 3baf1bee
Author: Olivier Langlois <olivier@trillion01.com>
Date:   Sun Jan 5 23:12:44 2014 -0500

  * alsa-lib: minor typo in pcm doc

commit 670e228c
Author: Olivier Langlois <olivier@trillion01.com>
Date:   Thu Dec 12 23:47:20 2013 -0500

  * minor malloc changes

commit 49ad6699
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 27 09:37:54 2013 +0100

  * dmix: Don't use assert() and abort()

commit 29d89ba0
Author: Andrey Mazo <mazo@telum.ru>
Date:   Sun Nov 17 19:45:19 2013 +0400

  * pcm_file: document new argument to snd_pcm_file_open().

commit 4081be0b
Author: Andrey Mazo <mazo@telum.ru>
Date:   Sun Nov 17 01:11:56 2013 +0400

  * pcm_file: don't touch infile on playback and output file on capture.

commit e017c5f2
Author: Andrey Mazo <mazo@telum.ru>
Date:   Sun Nov 17 01:11:55 2013 +0400

  * pcm_file: fixed memory leak.

commit 1919ee47
Author: Andrey Mazo <mazo@telum.ru>
Date:   Sun Nov 17 01:11:54 2013 +0400

  * pcm_file: fix SEGFAULT if file option is missing while infile is
    not.

commit ae035b7f
Author: Timo Teräs <timo.teras@iki.fi>
Date:   Fri Nov 8 13:17:58 2013 +0100

  * conf.c: use portable way to initialize recursive mutex

commit 7d06b3ed
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 8 12:30:04 2013 +0100

  * include/global.h - don't define timeval and timespec structures for
    !glibc

commit 2d6eb4e9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 4 14:19:03 2013 +0100

  * test/chmap: Add missing usage text for -s option

commit 10ecf963
Author: John Spencer <maillist-alsa@barfooze.de>
Date:   Thu Oct 10 18:56:22 2013 +0200

  * local.h: include sys/types.h to fix issues with pcm.h

commit c1fbd57c
Author: Waldemar Brodkorb <wbx@openadk.org>
Date:   Wed Oct 2 21:00:51 2013 +0200

  * remove unnecessary/obsolete compat/hsearch_r.c

commit 529706fc
Author: Stephen Warren <swarren@nvidia.com>
Date:   Mon Sep 30 15:25:49 2013 -0600

  * snd_tlv_convert_from_dB: fix decreasing gain across entries

commit 383912ef
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Mon Sep 23 00:41:50 2013 +0300

  * HDA-Intel: present up to 8 HDMI/DP outputs via "hdmi" device

commit 23bf1dce
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Sep 13 13:21:44 2013 -0400

  * Fix access of freed memory in namehints

commit f21f48a7
Author: Kai Kang <jiashuo.kang at gmail.com>
Date:   Thu Aug 15 17:17:19 2013 +0800

  * Update iatomic.h functions definitions for mips

commit 4b169b05
Author: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Date:   Mon Aug 19 17:31:37 2013 +0200

  * hdspm.h: Update LTC ioctl to use struct hdspm_ltc

commit 36bc5770
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Wed Aug 7 23:26:31 2013 +0530

  * UCM: Document some standard values

commit d469ebe2
Author: Laurentiu Nicola <grayshade@gmail.com>
Date:   Thu Aug 8 12:29:09 2013 +0200

  * pcm: Fix a wrong value shown in the error message in rate plugin

commit 994ab14b
Author: Przemek Rudy <prudy1@o2.pl>
Date:   Tue Jul 30 22:31:44 2013 +0200

  * conf/cards: add Audio Advantage Micro II

commit b3b53a1b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 23 14:50:41 2013 +0200

  * local.h: use __kernel_off_t from <linux/types.h>

commit 12a2928b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jul 8 14:31:36 2013 +0200

  * Release v1.0.27.2

commit 9d6736c9
Author: Krzysztof Hałasa <khalasa@piap.pl>
Date:   Fri Jun 14 13:59:38 2013 +0200

  * pcm_direct: fix SEGFAULT when getgrnam_r() returns 0 and pgrp is
    NULL

commit c91785e0
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Jun 10 16:42:47 2013 +0200

  * pcm_hw: Fix buffer overflow in chmap

commit d20e24e5
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Wed Jun 5 16:52:10 2013 +0200

  * chmap: Always succeed setting the map to what it already is

commit ca487c95
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 4 15:58:34 2013 +0200

  * pcm_direct: fix the memory leak when parsing the slave definitions

commit f2d39afe
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Thu May 30 12:26:34 2013 +0200

  * pcm_plugin: Fix return value of snd_pcm_rewind

commit 7f877543
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Thu May 30 12:26:33 2013 +0200

  * pcm_hw: Remove unused fields in struct

commit 2f43b66c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 24 17:21:15 2013 +0200

  * Allow specifying the max number of cards

commit 14d653d7
Author: Juho Hämäläinen <juho.hamalainen@tieto.com>
Date:   Fri May 24 14:01:25 2013 +0300

  * ucm: Fix segfault when device argument is missing from _sw{dev, mod}

commit 3d7433a3
Author: Jordi Mallach <jordi@debian.org>
Date:   Fri May 17 18:25:51 2013 +0200

  * pcm: Fix typo in documentation: PREPARE → PREPARED.

commit 49858e7b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 21 10:48:28 2013 +0200

  * Release v1.0.27.1

commit f646b7e8
Author: Olivier Langlois <olivier@trillion01.com>
Date:   Thu May 16 04:32:58 2013 -0400

  * Remove an obsolete macro in configure.in

commit 39a4dad1
Author: Jordi Mallach <jordi@debian.org>
Date:   Wed May 15 19:06:00 2013 +0200

  * Fix several spelling errors for “writable” and derivatives.

commit b906db19
Author: Steve Langasek <steve.langasek@canonical.com>
Date:   Wed May 15 19:05:59 2013 +0200

  * Compile in the ALSA search path instead of relying on ld.so.conf.

commit 2b84ab05
Author: Jordi Mallach <jordi@debian.org>
Date:   Wed May 15 19:05:58 2013 +0200

  * Add AM_MAINTAINER_MODE.

commit 93325038
Author: Dylan Reid <dgreid@chromium.org>
Date:   Tue May 14 09:47:58 2013 -0700

  * conf/ucm: DAISY-I2S: Set default filter mode for HiFi.

commit c6ac8ddd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 14 18:11:01 2013 +0200

  * conf/ucm: Set up for installation

commit 52de9108
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
Date:   Fri May 10 14:51:10 2013 +0200

  * conf/ucm: tegraalc5632: add UCM config from Ubuntu

commit 7db247be
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
Date:   Fri May 10 14:51:09 2013 +0200

  * conf/ucm: SDP4430: add UCM config from Ubuntu

commit 9d0f93af
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
Date:   Fri May 10 14:51:08 2013 +0200

  * conf/ucm: PandaBoardES: add UCM config from Ubuntu

commit 5b019ea3
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
Date:   Fri May 10 14:51:07 2013 +0200

  * conf/ucm: PandaBoard: add UCM config from Ubuntu

commit f07c14b0
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
Date:   Fri May 10 14:51:06 2013 +0200

  * conf/ucm: DAISY-I2S: add Samsung ARM Chromebook UCM config from
    ChromeOS

commit e23961df
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon May 13 21:16:36 2013 +0200

  * seqmid: restore sequencer address prefix match feature

commit 2d5ad69e
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Thu Apr 25 14:44:06 2013 +0200

  * conf - Add Scarlett 2i2 USB to S/PDIF blacklist

commit a8f405b8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 25 09:55:49 2013 +0200

  * Add definition of __inline__ for non-GCC

commit 30122df4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 25 09:52:33 2013 +0200

  * Use __inline__ for exported headers

commit 886f0cc3
Author: Daniel Mack <zonque@gmail.com>
Date:   Thu Apr 18 10:37:50 2013 +0200

  * bring pcm.h and pcm.c in sync with the kernel list

commit 697f8c29
Author: Daniel Mack <zonque@gmail.com>
Date:   Thu Apr 18 10:37:49 2013 +0200

  * pcm.c: fix indentation

commit e1e40c25
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Apr 15 18:12:17 2013 +0200

  * Fix doubly call of dlclose() in dlobj caching code

commit 812e4b0c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 11 13:43:05 2013 +0200

  * Release v1.0.27

commit 201f28a0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 11 13:36:56 2013 +0200

  * control: enhance doc for snd_ctl_ascii_value_parse() function

commit 91de1212
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 9 14:58:52 2013 +0200

  * Optimize NULL check in snd_dlobj_cache_put()

commit e79990ac
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 9 14:55:46 2013 +0200

  * Clean up dlobj cache only when no user is present

commit a6813c2d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 9 14:31:20 2013 +0200

  * pcm: direct plugins: do more safe IPC semaphore handling

commit b6eb0f9b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 8 16:42:24 2013 +0200

  * all places: doxygen cleanups

commit e23fb2c4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 8 13:28:03 2013 +0200

  * control, pcm: implement snd_ctl_abort() and snd_pcm_abort()
    functions

commit 730c833d
Author: Daniel Svensson <dsvensson@gmail.com>
Date:   Thu Apr 4 23:47:19 2013 +0200

  * pcm: fix typo, should be SND_PCM_STATE_PREPARED.

commit 02d9f316
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Mar 25 06:41:57 2013 +0100

  * USB-audio: Add "HP Digital Stereo Headset" to SPDIF blacklist

commit 009193a3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 20 20:37:50 2013 +0100

  * pcm: fix and optimize snd_pcm_areas_copy function

commit 28493d9d
Author: Sander Jansen <s.jansen@gmail.com>
Date:   Mon Feb 25 10:41:40 2013 -0600

  * snd_mixer_poll_descriptors_revents should loop over pollfd

commit f5f45589
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 11 12:28:45 2013 +0100

  * Add workaround for conflicting IEC958 controls for HD-audio

commit 8c6da540
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 12 12:22:53 2012 +0200

  * control: Simplify using snd_config_get_bool()

commit 3e7dc283
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Tue Feb 12 10:06:11 2013 +0100

  * Add sys/types.h to include list

commit 7f2b2c8c
Author: Allan Wirth <allan@allanwirth.com>
Date:   Thu Jan 31 13:55:33 2013 -0500

  * conf: Fix a memory access violation resulting from improper error
    propogation

commit f49b2dc5
Author: Jerome Forissier <jerome@taodyne.com>
Date:   Thu Jan 31 15:47:25 2013 +0100

  * snd_device_name_hint(): do not use global snd_config.

commit 25dbb102
Author: Jerome Forissier <jerome@taodyne.com>
Date:   Thu Jan 31 15:47:24 2013 +0100

  * snd_device_name_hint(): do not change the global error handler.

commit 44c1a623
Author: Jerome Forissier <jerome@taodyne.com>
Date:   Thu Jan 31 15:47:23 2013 +0100

  * Add snd_lib_error_set_local() to install a thread-local error
    handler.

commit 2cfc8b9b
Author: Jerome Forissier <jerome@taodyne.com>
Date:   Wed Jan 30 16:22:17 2013 +0100

  * snd_pcm_direct_parse_open_conf(): use thread-safe getgrnam_r()

commit 1629e2fb
Author: Tanu Kaskinen <tanuk@iki.fi>
Date:   Sat Jan 26 14:20:20 2013 +0200

  * ucm: Set uc_mgr->ctl to NULL after closing it.

commit b11911dd
Author: Olivier Blin <dev@blino.org>
Date:   Sat Dec 15 01:58:59 2012 +0100

  * configure: do not detect incorrect cross-compiler

commit 72bbf96e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 13 09:55:44 2012 +0100

  * Fix endian check in local.h

commit 1b428e77
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 7 09:28:06 2012 +0100

  * mixer: Don't build simple_abst when no libdl is available

commit 8d146989
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 7 09:27:11 2012 +0100

  * configure: Quite AM_CONDITIONAL() arguments

commit 03c26d0e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Dec 4 12:17:00 2012 +0100

  * PCM: Fix conflict of _snd_pcm_hw_params definitions

commit 22d6b6e6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 30 14:33:54 2012 +0100

  * Add workaround for conflicting snd_seq_event_t definitions

commit f47816d6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 26 18:13:01 2012 +0100

  * PCM: shut up a compile "unused parameter" compile warning in
    pcm_multi.c

commit 67d692af
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 26 18:10:26 2012 +0100

  * PCM: Add more chmap definitions for UAC2

commit 9b5beef1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 26 17:54:29 2012 +0100

  * Merge kernel uapi/sound/asound.h and asequencer.h

commit 3fd4ab9b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 13 16:16:26 2012 +0100

  * PCM: Avoid busy loop in snd_pcm_write_areas() with rate plugin

commit 49dde086
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 30 13:07:48 2012 +0100

  * Reduce compilation warnings

commit edcd677b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 30 11:43:07 2012 +0100

  * PCM: Fix memory leak for pcm empty and asym plugins

commit 2b49df0c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Sun Oct 28 12:30:29 2012 +0100

  * pcm: fix 64-bit SNDRV_PCM_IOCTL_STATUS ABI breakage

commit cf40ea16
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>
Date:   Tue Jun 12 14:36:40 2012 -0500

  * pcm: support for audio timestamps

commit 4bdb0912
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 10 10:22:54 2012 +0200

  * PCM: Fix the invalid snd_pcm_close() calls in rate plugin

commit a9f395e9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sat Sep 22 09:38:28 2012 +0200

  * Update .gitignore

commit 6429a450
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>
Date:   Fri Sep 21 20:05:18 2012 -0500

  * test: add audio_time

commit 5a6ce315
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 21 17:59:42 2012 +0200

  * PCM: Fix infinite loop in htimestamp of dmix, dsnoop and dshare
    plugins

commit 5a2daef1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 20 13:43:12 2012 +0200

  * PCM: Fill SND_CHMAP_NA to silent channels in route plugin

commit 63f6f4a6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 13 08:38:59 2012 +0200

  * PCM: A few doxygen fixes for chmap stuff

commit c6db60e3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 12 18:44:42 2012 +0200

  * PCM: Fix the conversion from string to chmap position

commit f7300682
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 12 18:43:59 2012 +0200

  * PCM: Define MONO and other channel map positions

commit 58c45b30
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 13 08:06:26 2012 +0200

  * test/chmap: Fix wrong malloc size

commit 2c61a417
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 12 17:34:49 2012 +0200

  * conf: Add chmap definitions to TRIDENT and SI7018 configurations

commit ec7acfc4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 12 17:13:22 2012 +0200

  * PCM: Use compounds for overriding / enhancing chmaps

commit 5ba11d69
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 12 15:15:32 2012 +0200

  * Add chmap override definitions for Emu10k1, Audigy and Audigy2 cards

commit a102028a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 12 15:09:57 2012 +0200

  * PCM: Add the missing query_chmaps for route plugin

commit e1975d20
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 12 14:47:17 2012 +0200

  * PCM: Add chmap options to hw and null plugins

commit 81135aac
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 12 12:56:14 2012 +0200

  * PCM: Add query_chmaps support to multi plugin

commit 25f3259b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 11 12:48:46 2012 +0200

  * PCM: Add snd_pcm_chmap_long_name()

commit fe816847
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 11 11:33:31 2012 +0200

  * PCM: Add SND_CHMAP_API_VERSION definition

commit b4c64e81
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 10 18:07:36 2012 +0200

  * PCM: Add string conversion helper functions for chmap

commit 6950a103
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 10 16:59:36 2012 +0200

  * PCM: Fix prefix for snd_pcm_chmap_type enum members

commit ec96740d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 7 14:31:39 2012 +0200

  * Fix duplicated channel entry in test/chmap.c

commit 01dc0e68
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 7 14:15:04 2012 +0200

  * PCM: Implement snd_pcm_query_chmaps_from_hw()

commit 9c1a0ce7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 4 17:26:43 2012 +0200

  * PCM: Introduce snd_pcm_chmap_t and snd_pcm_chmap_query_t

commit 48c2c90f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 31 13:53:22 2012 -0700

  * Add SND_CHMAP_NA and bit flag definitions

commit 0f36270d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 21 15:07:44 2012 +0200

  * Follow channel position definitions to mixer channel in mixer.h

commit 915b26bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 21 12:16:39 2012 +0200

  * Define channel map position enum in pcm.h

commit 34f65455
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 30 18:21:43 2012 +0200

  * Cache the chmap operation errors

commit 3fc13d6f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 30 15:50:44 2012 +0200

  * Add test/chmap program

commit 662f79d4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 25 15:54:45 2012 +0200

  * Implement get_chmap/set_chmap for PCM extplug/ioplug plugins

commit 3fb01306
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 25 15:36:16 2012 +0200

  * Implement get_chmap/set_chmap for PCM plug, route and multi plugins

commit 3c4a22ea
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 25 15:05:15 2012 +0200

  * Implement the channel mapping API

commit 1ef1c5cd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 6 10:55:14 2012 +0200

  * Release v1.0.26

commit a0745888
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 6 10:53:14 2012 +0200

  * doc: Use 'rm -rf' for the html doxygen tree (it contains search/ dir
    now)

commit f2855721
Author: Reilly Grant <reillyeon@qotw.net>
Date:   Mon Dec 5 18:05:42 2011 -0800

  * PCM: plug: Move fast_ops copy after slave configuration.

commit 59de61e5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 15 17:05:37 2012 +0200

  * PCM: Allow to run older version of extplug plugin

commit d0ca0756
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 10 14:24:59 2012 +0200

  * Ignore .* files in general

commit 7c5c3ff3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 10 14:19:17 2012 +0200

  * ucm: Add const to execute_cset() argument

commit 58d10c09
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 10 14:14:28 2012 +0200

  * ucm: Improve cset command parsing

commit c34f74c8
Author: Mario Domenech Goulart <mario@ossystems.com.br>
Date:   Wed Aug 8 11:03:19 2012 -0300

  * test/latency.c: Fix string argument to getopt_long, so now it
    handles -E and -B

commit e16a9a04
Author: Tanu Kaskinen <tanu.kaskinen@digia.com>
Date:   Wed Aug 1 16:06:16 2012 +0300

  * ucm: Return NULL from get_list0() and get_list20() in case of empty
    lists.

commit 480d3204
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Tue Jul 17 15:30:17 2012 +0530

  * build: Disable another compile chack with --disable-alsatest

commit 9e795252
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Tue Jul 17 15:30:16 2012 +0530

  * ucm: Add missing pthread.h include

commit 55abbc9f
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Tue Jul 17 15:30:15 2012 +0530

  * build: Fallback to alphasort() if versionsort() isn't available

commit df924cd9
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Tue Jul 17 15:30:14 2012 +0530

  * control: Use strcpy() instead of stpcpy()

commit 86e27cdb
Author: Martin Sandsmark <martin.sandsmark@kde.org>
Date:   Thu Jul 5 09:40:07 2012 +0200

  * hctl: Remove a useless assert

commit 52160de2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jun 25 23:16:14 2012 +0200

  * Fix the binary compatibility of ext-ctl plugin with protocol 1.0.0

commit e8923f2e
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Wed May 23 18:16:33 2012 +0530

  * ucm: Handle repeat device and modifier enables/disables

commit e4d9c348
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Wed May 23 09:59:50 2012 +0200

  * conf: Add more USB devices to S/PDIF blacklist

commit 70b958f4
Author: Benoît Thébaudeau <benoit.thebaudeau@advansee.com>
Date:   Wed May 23 01:53:01 2012 +0200

  * tlv: improve robustness of raw value ranges

commit afaffe80
Author: Antonio Borneo <borneo.antonio@gmail.com>
Date:   Mon May 14 23:56:34 2012 +0800

  * pcm_dsnoop: comment fall-through in next "case"

commit b7334b1a
Author: Antonio Borneo <borneo.antonio@gmail.com>
Date:   Sun May 13 00:06:23 2012 +0800

  * pcm: add missing "break" in "switch"

commit 1d3f7975
Author: John Spencer <maillist-alsa@barfooze.de>
Date:   Tue Apr 24 12:58:48 2012 +0200

  * Fix invalid long long format specifier

commit bb5c49fa
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Apr 23 10:39:13 2012 +0200

  * alsa-lib conf: Add two more USB devices to iec958 blacklist

commit a6c50d64
Author: Dylan Reid <dgreid@chromium.org>
Date:   Sun Apr 15 16:59:55 2012 -0700

  * control_external: Add ability to specify TLV data.

commit ed0e4858
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Sat Apr 14 01:14:09 2012 +0200

  * alsa-lib conf: block S/PDIF access for Sennheiser USB headset

commit e5c4c248
Author: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Date:   Tue Mar 27 17:54:47 2012 +0200

  * doc: Fix typo in PCM formats

commit 19372474
Author: Henning Thielemann <alsa@henning-thielemann.de>
Date:   Wed Mar 14 18:45:02 2012 +0100

  * seqmid - more descriptions on snd_seq_parse_address() behavior

commit 2ab86d96
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 13 14:30:22 2012 +0100

  * mixer: Remove redundant CHECK_ENUM() from snd_mixer_selem_is_enum*()

commit 947d2080
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Mar 9 14:06:04 2012 +0100

  * USB-Audio: Fixup card name for Logitech web camera

commit 1a9627df
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Mar 9 11:46:06 2012 +0100

  * USB-Audio: Blacklist iec958 for some USB devices

commit 65298d98
Author: Luke Yelavich <luke.yelavich@canonical.com>
Date:   Wed Feb 8 15:09:55 2012 +1100

  * conf/pcm: Add support for Echo3G devices. Thanks to unimatrix.

commit c3ed2c98
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 25 08:56:56 2012 +0100

  * Release v1.0.25

commit 98d4ed88
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 20 16:14:44 2012 +0100

  * Introduce --with-pkgconfdir, add 64-bit defaults to gitcompile

commit 226a34ac
Author: Andrew Eikum <aeikum@codeweavers.com>
Date:   Thu Jan 19 12:38:58 2012 +0100

  * Document strdup allocation in snd_card_get_name family

commit ad2a0b3a
Author: Andrew Eikum <aeikum@codeweavers.com>
Date:   Thu Jan 19 12:36:58 2012 +0100

  * Improve snd_device_name_hint documentation

commit 43956de7
Author: Andrew Eikum <aeikum@codeweavers.com>
Date:   Thu Jan 19 12:36:39 2012 +0100

  * Improve hw_params documentation

commit 235aec0a
Author: Andrew Eikum <aeikum@codeweavers.com>
Date:   Thu Jan 19 12:36:09 2012 +0100

  * Search-and-replace improve documentation language

commit 6eafe5db
Author: Andrew Eikum <aeikum@codeweavers.com>
Date:   Thu Jan 19 12:35:20 2012 +0100

  * Remove docs for snd_names_list and snd_names_list_free

commit f562b032
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 14 17:02:40 2011 +0100

  * pcm:mmap_emul: Fix sw_params and others in bypass mode

commit 15c6f832
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Oct 7 22:46:51 2011 +0200

  * control: add snd_ctl_elem_add_enumerated()

commit 567cc19a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Oct 5 10:40:48 2011 +0200

  * asound.h: cosmetic changes for consistency with kernel asound.h

commit 9736511b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Oct 5 10:14:56 2011 +0200

  * asound.h: update for latest kernel

commit fef6e6fd
Author: Julia Lawall <julia@diku.dk>
Date:   Thu Sep 22 13:59:31 2011 +0200

  * src/pcm/pcm_mmap.c: add missing free

commit c36f8c87
Author: Julia Lawall <julia@diku.dk>
Date:   Sun Sep 18 22:04:37 2011 +0200

  * src/pcm/pcm_multi.c: add missing free

commit 03aa1a57
Author: Julia Lawall <julia@diku.dk>
Date:   Sun Sep 18 22:04:36 2011 +0200

  * src/pcm/pcm_ladspa.c: add missing free

commit 2a7f653b
Author: Julia Lawall <julia@diku.dk>
Date:   Sun Sep 18 22:04:34 2011 +0200

  * src/pcm/pcm_rate.c: add missing free

commit 6dab1a91
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Sep 21 08:30:20 2011 +0200

  * pcm: recalculate all rules after changing hw_params flags

commit 79245006
Author: Colin Guthrie <colin@mageia.org>
Date:   Fri Sep 16 10:04:26 2011 +0100

  * conf: Allow for a directory to be given as a config file.

commit 26e80c2e
Author: Lu Guanqun <guanqun.lu@intel.com>
Date:   Mon Aug 22 13:35:32 2011 +0800

  * ucm: add another sequence 'msleep'

commit a97aa7f0
Author: Lu Guanqun <guanqun.lu@intel.com>
Date:   Fri Aug 19 16:05:30 2011 +0800

  * ucm: tivial code style fix

commit 29880e8c
Author: Lu Guanqun <guanqun.lu@intel.com>
Date:   Fri Aug 19 16:05:25 2011 +0800

  * ucm: fix seg fault in execute_cset()

commit 78dbc57b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jul 29 15:56:39 2011 +0200

  * Merge branch 'fallback'

commit e31aaac5
Author: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Date:   Thu Jul 28 23:24:25 2011 +0200

  * Add RME RPM to HDSP_IO_Type.

commit acb423d9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 26 13:10:24 2011 +0200

  * Add snd_{ctl|pcm}_open_fallback() functions

commit e6f990e5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 26 13:05:53 2011 +0200

  * Define "sysdefault" PCM and control

commit e2c22624
Author: Stephen Warren <swarren@nvidia.com>
Date:   Mon Jun 6 14:16:57 2011 -0600

  * UCM: get: Implement 'exact' value retrieval

commit a48f67c0
Author: Stephen Warren <swarren@nvidia.com>
Date:   Fri Jun 3 14:56:34 2011 -0600

  * UCM: snd_use_case_get: Don't segfault when no current verb

commit 32d24f40
Author: Stephen Warren <swarren@nvidia.com>
Date:   Fri Jun 3 14:56:33 2011 -0600

  * UCM: Allow querying of {Supported,Conflicting}Devices

commit 547300fb
Author: Stephen Warren <swarren@nvidia.com>
Date:   Fri Jun 3 14:56:32 2011 -0600

  * UCM: Disallow gets of undefined system properties

commit fc038149
Author: Stephen Warren <swarren@nvidia.com>
Date:   Fri Jun 3 14:56:31 2011 -0600

  * UCM: Implement ConflictingDevices, add device list to devices

commit 866fa538
Author: Stephen Warren <swarren@nvidia.com>
Date:   Fri Jun 3 14:56:30 2011 -0600

  * UCM: Deprecate index on Section{Device,Modifier}

commit e1c876a2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 17:27:27 2011 +0200

  * Fix missing error code in snd_ctl_hw_open()

commit 0a4b1ee7
Author: Stephen Warren <swarren@nvidia.com>
Date:   Thu Jun 2 16:44:39 2011 -0600

  * UCM: Fix deadlock following failed get _verb

commit 0a2fd2d3
Author: Stephen Warren <swarren@nvidia.com>
Date:   Thu Jun 2 16:44:38 2011 -0600

  * UCM: Fix typo in error message

commit 1720d30a
Author: Alexander Stein <a.stein@systec-electronic.com>
Date:   Thu May 19 15:16:36 2011 +0200

  * ctlparse: Respect softfloat configure option

commit ea020c3b
Author: Raymond Yau <superquad.vortex2@gmail.com>
Date:   Fri May 13 10:40:28 2011 +0800

  * emu10k1.conf - Fix no sound problem when using SB Live! Platinum

commit 922ff0da
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 9 14:11:22 2011 +0200

  * Specficy subdevice 0 for front/surround* of HDA-Intel.conf

commit 516569bb
Author: Baek Chang <breakchange@gmail.com>
Date:   Tue May 3 10:52:34 2011 -0700

  * UCM: fix memory leak when executing cset commands

commit e4735dde
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 4 09:20:23 2011 +0200

  * Add test/lsb/config to .gitignore

commit 6bef13e2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 4 09:19:09 2011 +0200

  * Fix printf for size_t

commit 75194776
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 4 09:14:29 2011 +0200

  * Fix compile warnings

commit 808ce5de
Author: Sudarshan Bisht <sudarshan.bisht@nokia.com>
Date:   Tue Apr 12 13:09:45 2011 +0300

  * alsa-lib: fixed coverity reported issues under "FORWARD_NULL"
    checker.

commit 6bb36928
Author: Raymond Yau <superquad.vortex2@gmail.com>
Date:   Sun Apr 24 11:56:44 2011 +0800

  * HDA-Intel.conf - Fix low mic volume due to pulseaudio using "front"
    device for playback and capture

commit 16f716ea
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 20 14:32:06 2011 +0200

  * EMU10K1.conf: Don't lock hook controls

commit 7ed19bbc
Author: Raymond Yau <superquad.vortex2@gmail.com>
Date:   Wed Apr 20 16:18:50 2011 +0800

  * test/latency: print error message when 2 periods per buffer not
    supported

commit 780f30ab
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Tue Apr 19 08:05:08 2011 +0200

  * Fix typo in comment in surround71.conf

commit 83059ee5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 6 08:34:56 2011 +0200

  * Mark Heaphone {Center|LFE} control of emu10k1 conf as optional

commit cd20fe3f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 30 17:30:09 2011 +0200

  * configure: Fail when the user attempts to compile shared and static
    libs

commit e419f639
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 28 11:04:19 2011 +0200

  * UCM: Fix LGPL licence ("how to receive" part referred GPL instead
    LGPL)

commit d3906a93
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Mar 28 10:19:16 2011 +0200

  * Conf: Fix channels of ICE1712 to 10/12

commit f2912f50
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Mar 19 01:09:41 2011 +0100

  * UCM: Fix empty get_list - initialize returned pointer to NULL

commit 60397387
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Mar 19 00:54:43 2011 +0100

  * UCM: comment fixes and fix myvalue initialization fix in
    add_values()

commit ae0a44c6
Author: Margarita Olaya <magi@slimlogic.co.uk>
Date:   Fri Mar 18 11:26:22 2011 -0600

  * alsa-lib: ucm: allow values to be read from devices

commit 8650c02a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Mar 15 08:02:59 2011 +0100

  * alsa-lib: add LaCie Firewire Speakers/Griffin FireWave Surround
    driver

commit 886adf66
Author: Raymond Yau <superquad.vortex2@gmail.com>
Date:   Sat Feb 26 09:24:43 2011 +0800

  * Fix alsa-lib to regard 3D control - Depth as Playback Controls

commit 02b20067
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 31 15:18:50 2011 +0100

  * Release v1.0.24.1

commit 038eaa42
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 31 15:06:03 2011 +0100

  * ucm: add more error messages for cdev and cset commands

commit 37c7e284
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 31 14:24:19 2011 +0100

  * ucm: allow bind modifier to specific instances, other fixes

commit a1600802
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
Date:   Thu Jan 27 23:17:43 2011 -0600

  * ucm: make verb comments optional

commit 32f9d7f4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 27 14:58:51 2011 +0100

  * Release v1.0.24

commit 2b13cf5c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 27 14:56:53 2011 +0100

  * real fix for the UCM code compilation issue

commit 97e1f132
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 27 14:40:31 2011 +0100

  * Fix UCM component handling in configure.in

commit cf446218
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 27 11:50:40 2011 +0100

  * Update hdspm.h file from Adrian Knoth - final version

commit f0f8d227
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 26 11:33:55 2011 +0100

  * Update hdspm.h file from Adrian Knoth

commit 59977f90
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 26 10:35:56 2011 +0100

  * Add hdspm.h kernel header to include/alsa/sound tree for the
    hdspmixer app

commit 916a203d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 24 14:55:23 2011 +0100

  * Merge branch 'ucm'

commit a9855efc
Author: Francesco Cosoleto <cosoleto@gmail.com>
Date:   Sat Jan 22 02:27:54 2011 +0100

  * pcm: fix typo in snd_pcm_recover() error message

commit a618cdf0
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Jan 11 18:56:30 2011 +0100

  * ucm: fix switch device & modifier when no transition is found

commit e1b4bd6c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 11 19:05:12 2011 +0100

  * ucm: add snd_use_case_verb_list() inline function

commit 45e9496a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 10 16:22:15 2011 +0100

  * aliases.conf: add aliases for CMI8788-based cards

commit 7b259bc0
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:12:00 2010 +0100

  * ucm: ctlparse - always terminate cset buffer

commit df760d8b
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:59 2010 +0100

  * ucm: fix handling of cset with spaces in the control name

commit eba54718
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:58 2010 +0100

  * ucm: only select modifier when supported device is enabled

commit 265cf2c3
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:53 2010 +0100

  * ucm: implement basic script exec functionality

commit 116fabd6
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:57 2010 +0100

  * ucm: check the correct return value for modifier

commit ebb52f69
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:56 2010 +0100

  * ucm: check for valid value list before dereference.

commit 6cda65ba
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:55 2010 +0100

  * ucm: remove unused code.

commit 02bc123a
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:54 2010 +0100

  * ucm: make sure active modifier and device lists are initialised

commit 8524941f
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:52 2010 +0100

  * ucm: remove parse_device() and call parse_compound() directly

commit 868d21cf
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:51 2010 +0100

  * ucm: modifiers names must be compound parse

commit 54e9639b
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Tue Dec 21 23:11:50 2010 +0100

  * ucm: removed unused 'active' member in struct use_case_device

commit 7d3de218
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 29 17:33:27 2010 +0100

  * ucm: initial implementation for cdev/cset

commit c0469e2a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 29 15:49:13 2010 +0100

  * ucm: CTL devices are only one per card (remove DEV from comments)

commit d8b78161
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 29 15:41:34 2010 +0100

  * ucm: add ValueDefaults section to the master file

commit aba87e50
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
Date:   Tue Nov 23 08:47:08 2010 -0600

  * pcm_plugin: fix delay

commit aaf55f16
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 23 15:58:14 2010 +0100

  * ucm: add cdev

commit a4f71b19
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 23 13:40:25 2010 +0100

  * pcm: add MMAP_EMUL to type names

commit ade3efbd
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
Date:   Fri Nov 19 10:35:31 2010 -0600

  * pcm_plugin: remove unused client_frames and slave_frames routines

commit ba9332e9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 18 09:27:07 2010 +0100

  * pcm: fix snd_pcm_avail_delay() function

commit 7c99bd24
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Nov 15 10:43:13 2010 +0100

  * support for period wakeup disabling

commit 70dded6a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Nov 15 10:33:35 2010 +0100

  * pcm: pass hw_params flags to slave

commit cdc9dd50
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 10 16:06:29 2010 +0100

  * ucm: fix parser for sequences and fix wrong strcmp

commit ab6df229
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Nov 10 10:11:51 2010 +0100

  * USB-Audio.conf: fix Audiophile USB card name

commit 9b6df1cf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 4 19:58:44 2010 +0100

  * control: add ASCII parsers from amixer

commit 13b5d972
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 29 17:36:41 2010 +0200

  * pcm direct plugins: change timestamping in dsnoop

commit e4083a11
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 26 14:26:46 2010 +0200

  * ucm: debug parser

commit 5cfa03d2
Author: Simon McVittie <smcv@debian.org>
Date:   Fri Oct 8 09:06:58 2010 +0100

  * configure.in: don't rely on test -a, not all shells support it

commit 443c1057
Author: Simon McVittie <smcv@debian.org>
Date:   Fri Oct 8 09:06:29 2010 +0100

  * Version-check libtool correctly when doing an out-of-tree build

commit 2f6206da
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Oct 15 10:33:20 2010 +0200

  * tlv: fix returned dB information for min-is-mute controls

commit e8208666
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 13 11:48:52 2010 +0200

  * ucm: implemented card list feature

commit 3a343945
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 12 13:29:05 2010 +0200

  * ucm: unify snd_use_case_geti(), add snd_use_case_card_list()
    template

commit c6a81e21
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 11 10:34:12 2010 +0200

  * config file processing: rewrite the locking - use one recursive
    mutex

commit c049d484
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 1 14:08:03 2010 +0200

  * namehint: Another fix to properly evaluate hw devices

commit 0244370b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 1 13:31:45 2010 +0200

  * namehint: Fix hw device evaluation (missing last device)

commit 0ae6c43b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 1 13:30:59 2010 +0200

  * ucm: cosmetic fix

commit 6c6dc230
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 22 15:35:11 2010 +0200

  * ucm: added implementation for other ucm parts, only card name list
    is missing

commit 404cd090
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 22 14:31:15 2010 +0200

  * ucm: Introduce "Value {}" section, more implementation work

commit 9ce25165
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 15 08:11:42 2010 +0200

  * Fix typo for surround PCMs in src/conf/cards/Loopback.conf

commit 1c79fad9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 7 15:35:14 2010 +0200

  * ucm: Moved ucm to src/ucm subdirectory

commit fcc9adb2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 25 09:03:36 2010 +0200

  * ucm: Recode header to be more universal

commit 72c7260c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 25 09:04:51 2010 +0200

  * Add Loopback.conf to define standard PCM devices for snd-aloop
    driver

commit 1c5afdb0
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Mon Aug 23 18:17:19 2010 +0200

  * ucm: build - add build support for Use Case Manager

commit 7699c92b
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Mon Aug 23 18:17:18 2010 +0200

  * ucm: core - Add initial Use Case Manager support.

commit 4adb3c32
Author: Liam Girdwood <lrg@slimlogic.co.uk>
Date:   Mon Aug 23 18:17:17 2010 +0200

  * ucm: header - ALSA Use Case Manager

commit 91c9c8f1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 23 17:05:36 2010 +0200

  * general: recoded snd_dlobj_ functions

commit be06ab3e
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
Date:   Thu Aug 19 20:42:30 2010 -0500

  * HDA-Intel: do not lock IEC958 Playback switch

commit 97d25c07
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 20 10:31:17 2010 +0200

  * namehint: Evaluate more possibilities for hw devices

commit 18b377de
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 13 16:11:36 2010 +0200

  * Add missing support for 3-byte formats for 16bit put conversion

commit 0633a966
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 12 08:21:26 2010 +0200

  * pcm: Fixed typo (wrong deleted line) instroduced in the
    minperiodsize patch

commit de606e9c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 11 20:20:40 2010 +0200

  * pcm: introduce defaults.pcm.compat to change the params choose
    behaviour

commit 09879a4b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 11 19:45:40 2010 +0200

  * pcm: add defaults.pcm.minperiodtime parsing

commit e6d5dcf1
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Tue Aug 3 20:27:49 2010 +0300

  * HDA-Intel: present all 4 HDMI outputs instead of just the first one

commit eb376856
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 4 19:47:01 2010 +0200

  * test/latency: fix timediff calculation

commit db7545a0
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Mon Aug 2 18:50:08 2010 +0300

  * pcm_plug: fix comparison always true

commit 3f589c93
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 22 11:33:20 2010 +0200

  * pcm - ladspa: fix small memory leak in
    snd_pcm_ladspa_free_instances()

commit 8dde9842
Author: John Lindgren <john.lindgren@tds.net>
Date:   Wed Jul 21 00:38:37 2010 +0200

  * Memory leak in namehint.c

commit 2a94d804
Author: Peter Ujfalusi <peter.ujfalusi@nokia.com>
Date:   Tue Jul 20 10:34:54 2010 +0300

  * tlv: Remove tailing tab after snd_ctl_get_dB_range function

commit d81ce4ea
Author: Peter Ujfalusi <peter.ujfalusi@nokia.com>
Date:   Tue Jul 20 10:34:53 2010 +0300

  * tlv: Handle 'holes' in SND_CTL_TLVT_DB_RANGE array

commit 16a2cad3
Author: Peter Ujfalusi <peter.ujfalusi@nokia.com>
Date:   Tue Jul 20 10:34:52 2010 +0300

  * tlv: Check out of range dB with SND_CTL_TLVT_DB_RANGE

commit 191c5780
Author: Colin Guthrie <cguthrie@mandriva.org>
Date:   Sun Feb 28 22:25:26 2010 +0000

  * alisp - Fix a string format ambiguity

commit 30ad5ed0
Author: Peter Ujfalusi <peter.ujfalusi@nokia.com>
Date:   Wed May 19 08:19:26 2010 +0200

  * control: tlv: Check dB range only within the control's volume range

commit 19892334
Author: Pedro Lopez-Cabanillas <pedro.lopez.cabanillas@gmail.com>
Date:   Thu Apr 22 15:42:20 2010 +0200

  * seq: Fix for snd_seq_parse_address()

commit 8d80d5f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Apr 21 18:37:48 2010 +0200

  * Use thread-safe locale functions if available

commit 51ef640c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Apr 21 18:37:47 2010 +0200

  * Check for thread-specific locale support

commit aadcbabd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 16 13:11:05 2010 +0200

  * Release v1.0.23

commit 7a2cdb33
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 13 10:08:56 2010 +0200

  * pcm_share plugin: fix pcm->monotonic setup in open() function

commit a55e1ded
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 10 09:40:02 2010 +0100

  * pcm_hw - show errno codes

commit b9dbee69
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 3 10:58:53 2010 +0100

  * pcm direct plugins: drain() call might be blocked when threads are
    used

commit 7fd0d9f4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 2 14:01:32 2010 +0100

  * pcm_dmix: add support for S24_LE format

commit f1713475
Author: Jaroslav Kysela <perex@t61.perex-int.cz>
Date:   Tue Feb 23 10:58:00 2010 +0100

  * Fix snd_pcm_sw_params_set_period_event() implementation

commit 2e48439a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 31 09:40:08 2010 +0100

  * pcm: fix read_areas and write_areas

commit 63acb873
Author: David Fries <david@fries.net>
Date:   Fri Dec 25 14:22:38 2009 -0600

  * modem.conf Off-hook improve behavior

commit d3c6e2b0
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Sun Jan 17 16:55:03 2010 -0500

  * add atomic operations for Blackfin parts

commit bdf80e58
Author: Zerg Cannibal <cnb_zerg@yahoo.com>
Date:   Mon Dec 21 22:19:14 2009 +0100

  * pcm: Fix the sound distortions for S24_3LE stream in pcm_softvol
    plugin

commit a256766c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 21 09:09:42 2009 +0100

  * pcm: Close event timer in pcm_hw plugin

commit 8a4127b5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 16 16:18:51 2009 +0100

  * Release v1.0.22

commit 762fe145
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Nov 23 10:56:46 2009 +0100

  * mixer: fix enum check

commit 13af4884
Author: Michael Olbrich <m.olbrich@pengutronix.de>
Date:   Mon Nov 16 11:31:49 2009 +0100

  * simple_none.c uses HAVE_SOFT_FLOAT it has to include config.h for
    this to work properly.

commit abac6ff1
Author: Marc Kleine-Budde <mkl@pengutronix.de>
Date:   Mon Nov 16 11:14:54 2009 +0100

  * configure.in: fix --without-softfloat

commit f75f1da1
Author: Mads Kiilerich <mads@kiilerich.com>
Date:   Sat Nov 14 13:48:25 2009 +0100

  * Update pcm doc strings

commit 4de76c9b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun Nov 8 09:28:07 2009 +0100

  * Remove redefinition of _GNU_SOURCE and __USE_GNU

commit 3440994f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun Nov 8 09:26:23 2009 +0100

  * Fix CHECK_ENUM() in simple.c

commit 30f59937
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 21:17:42 2009 +0200

  * Define _GNU_SOURCE so that <fcntl.h> gives O_CLOEXEC

commit 57ce9189
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 21:17:41 2009 +0200

  * Remove old commented-out FD_CLOEXEC code

commit 8264b2fd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 7 21:29:23 2009 +0200

  * Open device nodes with close-on-exec flag

commit ef2d3cf7
Author: Pedro Lopez-Cabanillas <pedro.lopez.cabanillas@gmail.com>
Date:   Sun Nov 8 00:01:06 2009 +0100

  * Defined symbols exposing the hrtimer to applications.

commit 407e98b4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 3 16:44:51 2009 +0100

  * namehint: list card independent devices only once

commit 0fcac217
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 3 16:38:30 2009 +0100

  * namehint: Allow snd_device_name_hint to search for CTL devices.

commit 592bd1e9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 3 16:36:55 2009 +0100

  * namehint: add missing list->card initialization

commit 0bff8685
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 3 16:34:34 2009 +0100

  * Cache libasound.so access in snd_dlopen

commit e1c7dd26
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 3 08:57:10 2009 +0100

  * Fix corruption after snd_device_name_hint()

commit 0110d620
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 6 10:46:54 2009 +0200

  * hcontrol: fix compare_default function to handle also id.device and
    id.subdevice

commit 0d81de0b
Author: Stefan Schmidt <stefan@slimlogic.co.uk>
Date:   Wed Sep 30 12:36:14 2009 +0200

  * alisp: Comment out an unused function to avoid compiler warnings.

commit 19f703a7
Author: Stefan Schmidt <stefan@slimlogic.co.uk>
Date:   Wed Sep 30 12:36:13 2009 +0200

  * pcm_rate_linear: Annotate unused function parameter to avoid
    compiler warnings.

commit aa697c9d
Author: Stefan Schmidt <stefan@slimlogic.co.uk>
Date:   Tue Sep 29 23:48:21 2009 +0200

  * control: Remove unused variable.

commit 97145934
Author: Stefan Schmidt <stefan@slimlogic.co.uk>
Date:   Tue Sep 29 23:48:20 2009 +0200

  * configure.in: Add m4 check for new AM_SILENT_RULES

commit 81ac9f4d
Author: Stefan Schmidt <stefan@slimlogic.co.uk>
Date:   Tue Sep 29 23:48:19 2009 +0200

  * cvscompile: Remove in favour of gitcompile.

commit da237814
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 28 11:59:50 2009 +0200

  * dmix - Fix snd_pcm_info()

commit ecf4b5af
Author: Kai Vehmanen <kvehmanen@eca.cx>
Date:   Fri Sep 11 01:07:21 2009 +0300

  * pcm_hw: Always use delay ioctl in snd_pcm_delay()

commit a4e7033f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 9 14:34:54 2009 +0200

  * Release v1.0.21a

commit cd7070bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 9 14:16:06 2009 +0200

  * PCM - Change the hw_params determination order

commit 1f126fd7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 9 11:38:11 2009 +0200

  * Change dmix.conf to accept user configuration from
    defaults.dmix.<driver_id>.xxx

commit 133819d4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 9 11:24:11 2009 +0200

  * Revert "Fix driver conf parsing in
    snd_config_hook_load_for_all_cards()"

commit ac9de424
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 31 16:41:12 2009 +0200

  * mixer: Add Speaker and Beep names to the weight list

commit a64f6def
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 31 15:09:38 2009 +0200

  * Release v1.0.21

commit cbf5675e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 21 01:34:29 2009 +0200

  * pcm/ioplug: fix error code in start callback

commit bd538927
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 21 01:18:00 2009 +0200

  * pcm: workaround for avoiding automatic start in mmap mode

commit 96da0c84
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 10 14:11:57 2009 +0200

  * Fix driver conf parsing in snd_config_hook_load_for_all_cards()

commit 34d63b44
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Aug 10 10:11:15 2009 +0200

  * control.c: snd_ctl_wait: fix revents handling

commit f3dc8e2a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Aug 10 10:09:02 2009 +0200

  * timer_query: make ops structure constant

commit 2905af22
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Aug 10 10:08:25 2009 +0200

  * snd_pcm_scope_set_ops: make ops parameter const

commit 79345b52
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 10 09:53:18 2009 +0200

  * Fix zero-division in pcm_rate.c

commit 5332d74a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Aug 4 09:17:20 2009 +0200

  * fix doc errors

commit 0ed67883
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Aug 4 09:15:40 2009 +0200

  * doc: hide structs with typedefs

commit 1b4dedc6
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Aug 4 09:12:39 2009 +0200

  * doc: fix handling of @top_srcdir@

commit fa302460
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Aug 4 09:11:47 2009 +0200

  * remove unimplemented functions from headers

commit da195880
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Aug 3 13:35:01 2009 +0200

  * add config tests

commit 5fe83677
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jul 27 10:09:03 2009 +0200

  * conf.c: more documentation

commit 93033566
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jul 17 12:41:43 2009 +0200

  * conf.c: rename 'node' to 'config'

commit 9258e8c8
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jul 17 12:41:17 2009 +0200

  * conf.c: rename 'leaf' to 'child'

commit 9bf79f43
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jul 17 12:40:00 2009 +0200

  * conf.c: rename 'father' to 'parent'

commit 5d56a11a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Jul 15 11:20:29 2009 +0200

  * conf.c: snd_config_add: prevent adopting a non-orphan

commit 76c60af0
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jul 13 13:53:16 2009 +0200

  * sound: rawmidi: disable active-sensing-on-close by default

commit a9b12995
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jul 13 13:28:21 2009 +0200

  * USB-Audio.conf: fix definition for M-Audio AudioPhile spdif device

commit efda3e2b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jul 10 07:26:29 2009 +0200

  * conf.c: fix handling of NULL string values

commit e2317969
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jul 10 07:25:50 2009 +0200

  * conf.c: snd_config_set_id: prevent duplicate ids

commit 2c4b3c7d
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Jul 9 07:38:26 2009 +0200

  * conf.c: fix handling of NULL ids

commit a7f74488
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Jul 8 08:50:54 2009 +0200

  * test/lsb/midi_event.c: check for buffer size check

commit 61f5b843
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Jul 8 08:50:19 2009 +0200

  * test/lsb/midi_event.c: abort on fatal errors

commit 74693061
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 6 12:31:53 2009 +0200

  * Merge branch 'master' of git@git.alsa-project.org:alsa-lib

commit b8c4fef8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 6 08:56:53 2009 +0200

  * test/pcm.c: float format support

commit 7f73f1bb
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jul 6 12:00:04 2009 +0200

  * add midi event tests

commit 85419837
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jul 6 11:55:31 2009 +0200

  * more midi_event documentation

commit 184301ae
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 6 08:42:18 2009 +0200

  * test/pcm.c: Generic linear PCM support

commit 3d0843e8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 6 08:41:00 2009 +0200

  * test/pcm.c: Fix S24 format

commit d23845e5
Author: Kenneth Johansson <kenneth@southpole.se>
Date:   Fri Jul 3 22:31:38 2009 +0200

  * test/pcm.c: Sample generation on big endian platforms was broken.

commit 5a70411d
Author: Paul Fertser <fercerpav@gmail.com>
Date:   Tue Jun 30 15:18:36 2009 +0400

  * pcm_hooks: cosmetic removal of unused variables

commit 2a77d217
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 30 11:11:34 2009 +0200

  * Manage dlobj lifetime in pcm_hooks.c

commit 608cccb0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 24 12:25:47 2009 +0200

  * Merge branch 'master' of git@git.alsa-project.org:alsa-lib

commit 394b376b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jun 22 10:00:46 2009 +0200

  * seq_midi_event: fix decoding of (N)RPN events

commit cbf395d6
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jun 22 10:00:03 2009 +0200

  * MIDI event decoder: prevent running status after sysex

commit e94f3cfd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 16 20:10:19 2009 +0200

  * pcm dmix plugin: fix MIX_AREAS_24 routine for i386 & x86_64
    platforms

commit f8a34aa6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 16 14:28:57 2009 +0200

  * Add the support of TLV_DB_MINMAX types

commit e5ca075c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 9 04:49:57 2009 +0200

  * Fix SB-Xfi.conf

commit 4d2ba6a4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 9 04:45:18 2009 +0200

  * Fix breakage of snd_card_load()

commit bb956b7b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 2 17:21:26 2009 +0200

  * Add IEC958 status bits support to SB-XFi.conf

commit 1929c55d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 2 16:13:01 2009 +0200

  * Query the supported rate ranges from rate plugins

commit 29841e67
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 2 16:08:57 2009 +0200

  * Add config file for SB-XFi driver

commit d2aadec5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 12 08:28:06 2009 +0200

  * snd_card_get_index() - extend comment for last change

commit 33ab0b53
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 12 08:06:41 2009 +0200

  * Extend snd_card_get_index() to accept also control device name like
    /dev/snd/controlC0

commit 3e30007a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 6 09:07:23 2009 +0200

  * Release v1.0.20

commit 646f24a0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 23 14:58:59 2009 +0200

  * Merge branch 'master' of /export/git/alsa/alsa-lib/

commit 0de38510
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 21 14:36:29 2009 +0200

  * pcm: more better documentation for snd_pcm_poll_descriptors

commit a987a692
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 9 10:49:57 2009 +0200

  * pcm_hw plugin: show appl_ptr and hw_ptr in dump() callback

commit fb12b894
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 8 09:29:35 2009 +0200

  * pcm_hw plugin: preserve monotonic flag also after
    snd_pcm_hw_params() call

commit 59c774ed
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 23 09:06:23 2009 +0100

  * Add route_policy copy to HDA-Intel.conf for capture

commit 0fe807de
Author: Pavel Hofman <pavel.hofman@insite.cz>
Date:   Tue Mar 3 17:07:55 2009 +0100

  * Change "%b" to represent bits instead of bytes in PCM file plugin

commit 50e9cd95
Author: Patricio Paez <pp@pp.com.mx>
Date:   Sun Feb 22 07:54:10 2009 -0600

  * Fix typos in ALSA Lib documentation

commit 59826eab
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 17 17:01:06 2009 +0100

  * Merge branch 'master' of git@git.alsa-project.org:alsa-lib

commit 81241ffb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 17 16:58:12 2009 +0100

  * Change numid properly with external ctl plugins

commit 91f1b4b9
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Feb 17 09:45:57 2009 +0100

  * oxygen: remove softvol plugin

commit e38f9216
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 13 17:14:51 2009 +0100

  * Add hint.device = 0 to pcm.default of HDA-Intel.conf

commit 1009f985
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Feb 11 09:53:29 2009 +0100

  * fix pcm_set_params() documentation

commit 548dd9be
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 2 16:11:39 2009 +0100

  * Fix misc compile warnings

commit cb66600d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 2 15:43:48 2009 +0100

  * Fix handling of revents in snd_pcm_poll_descriptors_revents()

commit 59ebaa8e
Author: Pavel Hofman <pavel.hofman@insite.cz>
Date:   Thu Jan 29 11:59:27 2009 +0100

  * PCM parameters in file plugin

commit c821f2e7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 28 15:00:35 2009 +0100

  * Fix off_t in kernel struct

commit 56fa81fd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 28 09:07:53 2009 +0100

  * Remove own "default" PCM config from GUS.conf

commit d3a8e853
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 27 17:21:34 2009 +0100

  * Fix plug conversion with mmap emulation

commit 777a8697
Author: Krzysztof Helt <krzysztof.h1@poczta.fm>
Date:   Tue Jan 27 11:44:14 2009 +0100

  * Fix GUS.conf to be usable

commit 3b728db2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 21 09:29:35 2009 +0100

  * Add missing -ldl to modules/mixer/simple/*

commit a789b66d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 21 09:25:48 2009 +0100

  * Fix build with softfloat option

commit b0641415
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 19 12:17:18 2009 +0100

  * Release v1.0.19

commit c8567c58
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 19 10:20:38 2009 +0100

  * add softvol for CMI8788

commit 81e1550f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 5 13:10:32 2009 +0100

  * Add m4/attributes.m4 as dist file..

commit 0400fa6f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Dec 10 18:20:50 2008 +0100

  * Don't accept an empty string for $ALSA_CONFIG_PATH

commit 48e4d089
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 4 15:21:40 2008 +0100

  * Fix softvol access refine

commit c0fd854f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 26 14:09:06 2008 +0100

  * Fix snd-pcsp default configuration

commit 03388ca6
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 22:19:28 2008 +0100

  * Mark static tables as constant when possible.

commit fc8d8bb2
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 19:46:44 2008 +0100

  * Make string arrays as constant as possible.

commit 2eaf9403
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 19:43:33 2008 +0100

  * Make all the remaining ops structure constants.

commit 8b14625c
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 20:38:09 2008 +0100

  * Make all the PCM plugins ops structure constant.

commit 1f734e30
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 20:28:56 2008 +0100

  * Make snd_pcm_hw_params_names static to pcm_params.c .

commit 22893266
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 20:26:12 2008 +0100

  * Make seq, rawmidi and control operation structures static const.

commit 8ed98db2
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 01:21:32 2008 +0100

  * Make some static tables and strings constants.

commit 29a14294
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 01:19:17 2008 +0100

  * Make sure that python libraries are passed through LIBADD.

commit 0b92e53c
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 01:16:37 2008 +0100

  * Check for --no-undefined linker flag and use it.

commit ca133ff6
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 01:08:42 2008 +0100

  * Add the attributes.m4 macro file from xine/lscube.

commit a42def6e
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 01:02:55 2008 +0100

  * Don't use AC_CANONICAL_SYSTEM, only use AC_CANONICAL_HOST.

commit 73ddcda8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 19 16:14:27 2008 +0100

  * Fix segfault with invalid meter plugin option

commit cb1fd837
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 19 14:59:03 2008 +0100

  * Add linear plugin wrapping iec958 PCM for ice1724-based boards

commit 55c77d0e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 10 17:39:11 2008 +0100

  * Fix volume/switch updates for global/simple mixer elements

commit 6e3ecb1d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 29 13:42:10 2008 +0100

  * Release v1.0.18

commit 8feae77e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 23 09:58:10 2008 +0200

  * Merge branch 'master' of git@git.alsa-project.org:alsa-lib

commit cc7fec13
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 23 09:57:11 2008 +0200

  * Add snd_pcm_avail() and snd_pcm_avail_delay() prototypes

commit 3b3eac25
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Oct 20 11:25:12 2008 +0200

  * Add iec958 PCM definition for PS3

commit 3b2c53c2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 17 17:51:45 2008 +0200

  * Fix sort-out of non-existing devices in namehint

commit ce3df031
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Oct 7 12:08:29 2008 +0200

  * Increase the components array size

commit 1cf904e8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 30 14:44:12 2008 +0200

  * Fix return value of snd_ctl_hw_subscribe_events()

commit 5cee69b4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 30 14:43:14 2008 +0200

  * Replace some assert() with runtime checks

commit 16cc295a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 15 15:14:58 2008 +0200

  * test/pcm: Fix error messages in async callback and add
    snd_pcm_start() condition

commit 1dd1ba94
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 9 19:56:17 2008 +0200

  * Fix comment typos for snd_pcm_read[in]()

commit 33083eb3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 9 18:55:49 2008 +0200

  * Release v1.0.18rc3

commit a13707da
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 9 13:07:39 2008 +0200

  * pcm_softvol plugin: remove access type change for refine

commit fe5391c9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 1 11:38:53 2008 +0200

  * Add snd_pcm_avail() and snd_pcm_avail_delay() functions. Make
    snd_pcm_hwsync() deprecated.

commit 8d683845
Author: Lennart Poettering <mznyfn@0pointer.de>
Date:   Sun Aug 31 03:42:56 2008 +0200

  * alsa-lib: Don't call the simple mixer interface "legacy"

commit bd7b73a6
Author: Lennart Poettering <mznyfn@0pointer.de>
Date:   Sun Aug 31 03:42:20 2008 +0200

  * alsa-lib: Reword doxygen doc for snd_pcm_delay()

commit 73d20069
Author: Lennart Poettering <mznyfn@0pointer.de>
Date:   Sun Aug 31 03:41:48 2008 +0200

  * alsa-lib: Make sure SND_PCM_NO_xxx flags don't get lost when
    nonblocking mode is enabled

commit 119bfd65
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 15 13:28:55 2008 +0200

  * Release v1.0.17a

commit 6d426e3e
Author: Pawel MOLL <pawel.moll@st.com>
Date:   Fri Aug 1 11:23:50 2008 +0100

  * IEC958 definition for consumer status channel update

commit ddf063f4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 31 12:18:08 2008 +0200

  * Fix non-tread mode with PCM direct plugins

commit 118fedb9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 29 14:41:51 2008 +0200

  * Fix interleave check in pcm_direct.c

commit 8d3fb310
Author: Lennart Poettering <mznyfn@0pointer.de>
Date:   Fri Jul 18 21:24:38 2008 +0200

  * fix return value of snd_pcm_rewind()/snd_pcm_forward() to return how
    much actually has been rewound, instead of what actually could have
    rewound

commit 15769ead
Author: Lennart Poettering <mznyfn@0pointer.de>
Date:   Fri Jul 18 21:22:50 2008 +0200

  * fix type of internally used sframes variable, to avoid unnecessary
    casts

commit 0fbfe2d8
Author: Lennart Poettering <mznyfn@0pointer.de>
Date:   Fri Jul 18 21:21:23 2008 +0200

  * clamp snd_pcm_rewind()/snd_pcm_forward() into the right direction

commit f78af4ab
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 16 12:37:51 2008 +0200

  * Add boolean (mute) functionality to softvol plugin

commit e24cc8d2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jul 14 10:57:56 2008 +0200

  * Release v1.0.17

commit d31fd52e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 10 18:45:23 2008 +0200

  * test/pcm.c: Fix SND_PCM_FORMAT_S24 support

commit af2c3fbe
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 10 18:44:15 2008 +0200

  * Fix type-punning in test/pcm.c

commit 5e912075
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 16 13:23:22 2008 +0200

  * pcm: fix comment for snd_pcm_avail_update()

commit 68641714
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 16 09:40:42 2008 +0200

  * Release v1.0.17rc2

commit 2076b88a
Author: Josh Green <josh@resonance.org>
Date:   Sat Jun 7 10:10:49 2008 +0200

  * Fix segfault with dmix of 3-bytes formats

commit 1467f4e2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 6 17:10:41 2008 +0200

  * PCM: allow mmap-access conversion in plug

commit 538726cc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 6 17:09:07 2008 +0200

  * Export __snd_pcm_mmap_emul_open()

commit 8843cf11
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 6 17:07:45 2008 +0200

  * pcm_mmap_emul: clean up

commit 2db108cc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 6 17:05:56 2008 +0200

  * pcm_mmap_emul: Fix invalid check

commit b6af5e18
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 6 16:59:47 2008 +0200

  * Fix compile warnings in pcm_hw.c

commit fce17b8c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 6 16:58:02 2008 +0200

  * Fix cast warning

commit 6d4c0934
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 3 10:18:14 2008 +0200

  * Release v1.0.17rc1

commit d7534b2c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 3 10:17:48 2008 +0200

  * hgcompile -> gitcompile

commit fd617943
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 20 13:29:44 2008 +0200

  * removed .hg files and renamed hgcompile to gitcompile

commit 8aaccc94
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri May 9 16:02:02 2008 +0200

  * Implemented snd_pcm_sw_params_(set|get)_period_event for interrupt
    wakeup like behaviour

commit c88672d8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 21 12:46:50 2008 +0200

  * implemented snd_pcm_rewindable() and snd_pcm_forwardable(), removed
    can_rewind and can_forward

commit 058dde8b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 21 11:44:20 2008 +0200

  * implemented integer volume <-> dB volume conversion functions for
    simple mixer

commit 82af1df4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 11 14:11:04 2008 +0200

  * added snd_pcm_hw_params_is_monotonic/can_forward/can_rewind
    functions

commit d4250517
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 10 09:46:10 2008 +0200

  * PCM API - explain more trigger timestamp

commit d555b159
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 10 09:08:08 2008 +0200

  * fix compilation in pcm/pcm_hw.c - monotonic clock

commit 542b12b8
Author: Stas Sergeev <stsp@aknet.ru>
Date:   Sat Mar 22 17:40:57 2008 +0100

  * pcsp: remove downsampling

commit 87ae1221
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 17 16:11:57 2008 +0100

  * Use defaults.pcm.file_format for the default file format of file
    plugin

commit fe95bc23
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 17 16:02:56 2008 +0100

  * Add the support of WAV format in PCM file plugin

commit 5c5f1358
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 14 14:03:54 2008 +0100

  * Use slave PCM as a timing-source for file ifile

commit 3d0dae90
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 12 16:30:26 2008 +0100

  * Add truncate option to PCM file plugin

commit fe8bb134
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 10 12:02:26 2008 +0100

  * dmix skipping first set of samples

commit d587383d
Author: Pawel MOLL <pawel.moll@st.com>
Date:   Fri Mar 7 17:18:16 2008 +0100

  * Fix for alsa-lib cross-compilation problems with ALSA_CONFIG_DIR and
    ALSA_PLUGIN_DIR

commit df87a4be
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 7 17:15:10 2008 +0100

  * Add PCM "hdmi"

commit 363b7f82
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 7 17:01:56 2008 +0100

  * Don't show non-existing devices in snd_device_name_hint()

commit e58bd676
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 7 17:00:45 2008 +0100

  * Fix device number assignment in hints

commit 91726ddf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 7 14:35:25 2008 +0100

  * Fix the build with old glibc

commit 12944a02
Author: Pawel MOLL <pawel.moll@st.com>
Date:   Fri Feb 29 12:42:57 2008 +0100

  * IEC958 definitions for consumer status channel, byte 4

commit 6e0b0e7c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 25 15:11:46 2008 +0100

  * Fix the state in snd_pcm_ioplug_pause()

commit b2bd7753
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 25 14:58:45 2008 +0100

  * Add test binaries to hgignore

commit cc80a895
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 25 14:57:31 2008 +0100

  * Add doxygen.cfg to hgignore

commit 6ab63388
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 25 14:56:51 2008 +0100

  * Create doxgen.cfg dynamically

commit 2cec6e26
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>
Date:   Fri Feb 22 17:51:05 2008 +0100

  * mark snd_seq_client_info_{get,set}_event_filter deprecated

commit 72ffc6db
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>
Date:   Fri Feb 22 17:50:01 2008 +0100

  * use snd_seq_client_info_event_filter_*() functions

commit 83c5a607
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>
Date:   Fri Feb 22 17:49:01 2008 +0100

  * add a test code for snd_seq_client_info_event_filter_*()

commit 75ecdac6
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>
Date:   Fri Feb 22 17:46:50 2008 +0100

  * add snd_seq_client_info_event_filter_*() functions

commit 882f93ac
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>
Date:   Fri Feb 22 17:42:56 2008 +0100

  * add snd_seq_unset_bit()

commit 0e5b2a00
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Feb 21 12:31:18 2008 +0100

  * Fix snd_seq_change_bit()

commit ac10483b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 18 13:15:55 2008 +0100

  * Add atomic operation for super-H(sh3,4) architectures

commit c6229654
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 18 12:25:02 2008 +0100

  * Add surround71 definition to NFORCE.conf

commit c96984f1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 11 14:19:32 2008 +0100

  * Fix conflict of obsoleted snd_pcm_hw_* definitions

commit 6772540f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 5 10:08:10 2008 +0100

  * Added tag v1.0.16 for changeset b1dfac5a4d55

commit aa924b6b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 5 10:08:09 2008 +0100

  * release 1.0.16 Patch-level: Merged

commit a51118bb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 4 16:00:16 2008 +0100

  * Fix build with --disable-hwdep and co

commit 742fe3c1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 4 15:59:07 2008 +0100

  * Remove obsolete instr check in configure

commit b2f43ced
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 4 14:15:44 2008 +0100

  * Fix wrong exported functions

commit 676913bc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 1 12:00:39 2008 +0100

  * Add the missing card alias for Prodigy71Hifi

commit 46a5e813
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 29 09:30:53 2008 +0100

  * Added tag v1.0.16rc2 for changeset 06fcc64b20b3

commit 8b2bcfff
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 29 09:30:53 2008 +0100

  * release 1.0.16rc2 Patch-level: Merged

commit c1d06bda
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 23 12:26:22 2008 +0100

  * Allow auto-config for dsnoop and dshare plugins

commit d902c124
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 23 08:06:11 2008 +0100

  * Remove obsolete instr directory

commit 59855f46
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 21 10:42:47 2008 +0100

  * Added tag v1.0.16rc1 for changeset 81eabb0e6c10

commit 363c3ffa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 21 10:42:47 2008 +0100

  * release 1.0.16rc1 Patch-level: Merged

commit 1683a1b8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 18 14:43:56 2008 +0100

  * Fix a memory leak in PCM hook plugin

commit 35d4f9b8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 18 13:42:51 2008 +0100

  * dmix - Enable auto format detection as default

commit 91fc64ce
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 15 14:29:34 2008 +0100

  * Implement missing htimestamp callbacks

commit 77849672
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 15 14:07:19 2008 +0100

  * Allow pcm slave string references for direct plugins (bug#2893).

commit 6968ba94
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 14 17:24:14 2008 +0100

  * Add missing remix_areas_* for x86-64

commit bf004f1c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 14 17:15:13 2008 +0100

  * Add SND_PCM_TSTAMP_MMAP back

commit 50ce5d04
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 14 08:53:06 2008 +0100

  * fix memory leak in snd_config_update_r error path

commit fb3a4e8b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 14 08:52:16 2008 +0100

  * pcm dmix plugin: fix generic direct remixing

commit 0e8a2599
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 14 08:51:45 2008 +0100

  * check availability of CLOCK_MONOTONIC

commit 07e13415
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 14 08:50:46 2008 +0100

  * pcm hw plugin: use TSTAMP only with old drivers

commit 6f751a92
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 14 08:50:18 2008 +0100

  * pcm hw plugin: fix TTSTAMP version check

commit cf822ace
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 14 08:49:35 2008 +0100

  * pcm plug plugin: remove duplicated expression

commit ab8331c8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 11 17:21:44 2008 +0100

  * Added possibility to disable also channel and format conversions +
    softvol.

commit 6814d23d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 11 08:54:07 2008 +0100

  * SND_PCM_TSTAMP_MMAP -> SND_PCM_TSTAMP_ENABLE change

commit 70b11d61
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 10 10:01:14 2008 +0100

  * Implemented snd_pcm_rewind() for the dmix plugin

commit 8f16428f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 9 17:21:09 2008 +0100

  * Don't use deprecated functions inside

commit 3e35983f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 9 17:17:58 2008 +0100

  * Avoid (null) in printf

commit 32882450
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 9 17:17:14 2008 +0100

  * Fix exported symbols for hooks and functions

commit 2c131880
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 9 13:50:45 2008 +0100

  * Impemented snd_pcm_htimestamp() function.

commit 309a2744
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 9 11:13:34 2008 +0100

  * Add support for monotonic timestamps

commit a73ad3f2
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Jan 9 09:42:42 2008 +0100

  * conf: show path of any missing configuration file

commit 8fab2591
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 9 09:45:26 2008 +0100

  * Fix function declarations with old PCM API

commit 679cea41
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 8 18:36:18 2008 +0100

  * Remove sleep_min and tick

commit cf15e49d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 8 18:35:29 2008 +0100

  * Remove PCM xfer_align

commit e1e9e3ff
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 8 18:34:36 2008 +0100

  * Remove indirect control access

commit d2366958
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 21 15:26:17 2007 +0100

  * Remove obsolete seq event entries in seq-decoder

commit 173d8a8b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 21 15:25:47 2007 +0100

  * Add deprecated attribute to obsolete functions

commit 7562320e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 17 09:04:42 2007 +0100

  * Added SNDRV_PCM_IOCTL_TTSTAMP and updated PCM API version to 2.0.9

commit ce64f433
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 14 15:19:03 2007 +0100

  * Add snd_pcm_ioplug_set_state() function

commit 86456d21
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Dec 14 09:11:01 2007 +0100

  * revert revision 2264:23c4c0f5de40

commit 74880110
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 13 15:49:50 2007 +0100

  * Fix segfault with strdup(NULL) in softvol

commit 6e6f4b9c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 10 12:35:08 2007 +0100

  * dmix: add U8 support

commit a3fe1f78
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 10 12:32:36 2007 +0100

  * dmix: simplify mix_areas()

commit 79db4a6b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 10 12:31:29 2007 +0100

  * dmix: rename mix_areas*

commit de2b7a42
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 4 16:55:00 2007 +0100

  * fix write in simple mixer API - python backends

commit 8a035282
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 30 18:29:01 2007 +0100

  * Clean up Versions file

commit 7dca3ab1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 30 18:26:13 2007 +0100

  * Make local functions really local

commit e68bd91c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Nov 30 08:13:40 2007 +0100

  * oxygen: remove softvol plugin

commit 8be2d013
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Nov 30 08:10:58 2007 +0100

  * oxygen: add channel status controls

commit 2ae2bbf1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 28 14:24:26 2007 +0100

  * softvol - add missing name

commit 72ede8a1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 26 12:29:37 2007 +0100

  * Set PCM name properly in empty and asym plugins

commit a2d98ebd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 25 23:20:50 2007 +0100

  * fix error code when controlC0 device has no enough permissions See
    alsa bug#3600

commit 2ba380fd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 25 23:19:49 2007 +0100

  * fix error path in snd_config_hook_load_for_all_cards()

commit 0b66de95
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 23 15:46:48 2007 +0100

  * Fix mmap with multi plugin

commit 683c8bc4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 21 12:19:43 2007 +0100

  * Clean up using gettimestamp()

commit 7379b061
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 21 12:10:35 2007 +0100

  * Fix timestamp in status in PCM direct plugins

commit b0b7d028
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 20 15:29:10 2007 +0100

  * pcm - Limit the avail_min minimum size

commit 1cf37d72
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Nov 19 08:07:19 2007 +0100

  * oxygen: enhance configuration

commit b70bd654
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Nov 19 07:55:49 2007 +0100

  * alsa.conf: cosmetic change

commit 408af4b6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 16 12:06:43 2007 +0100

  * Fix wrong return values in direct plugins

commit c13b8dc9
Author: Stas Sergeev <stsp@aknet.ru>
Date:   Mon Nov 12 12:01:16 2007 +0100

  * Remove ugly hack in rate plugin poll_descriptors callback

commit 7b51f627
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Nov 12 08:50:08 2007 +0100

  * simple mixer: fix calculation of control range

commit 15e936e2
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Nov 12 08:49:10 2007 +0100

  * midiloop: use blocking mode

commit 07137c02
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 5 12:46:46 2007 +0100

  * ioplug - Fix the refinement of period_* after periods

commit 2e7cc001
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Oct 30 14:28:30 2007 +0100

  * Re-add assert.h to asoundlib.h

commit 54a2cf5e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Oct 30 12:31:55 2007 +0100

  * Remove sequencer instrument layer

commit 078112df
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Oct 30 11:50:45 2007 +0100

  * Update asound_fm.h for patch loading over hwdep

commit 68e5771a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 25 15:36:03 2007 +0200

  * Remove assert from header files

commit 9eb272c7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 25 15:34:43 2007 +0200

  * Fix gcc compile warnings

commit f38e5fec
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 24 13:04:14 2007 +0200

  * Export dB conversion helper functions

commit 631f7cde
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 24 12:53:08 2007 +0200

  * Change assert condition in error message handler

commit d6093c58
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 18 11:10:35 2007 +0200

  * snd_pcm_dmix_close: raise semaphore if unable to discard

commit c2e368e7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 15 10:36:46 2007 +0200

  * Added tag v1.0.15 for changeset 9e2f117f24b9

commit 89dfaa7c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 15 10:36:46 2007 +0200

  * release 1.0.15 Patch-level: Merged

commit d25e2812
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 15 10:24:55 2007 +0200

  * Changed Jaroslav Kysela's e-mail from perex@suse.cz to
    perex@perex.cz

commit d2a2d964
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 21 10:40:55 2007 +0200

  * Added tag v1.0.15rc3 for changeset d2c731f5701f

commit 4f70a301
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 21 10:40:55 2007 +0200

  * release 1.0.15rc3 Patch-level: Merged

commit 67399e35
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 20 13:20:03 2007 +0200

  * Fix wrong offset calculation in snd_pcm_{read|write}_mmap()

commit cda4a3cb
Author: Stas Sergeev <stsp@aknet.ru>
Date:   Wed Sep 19 21:29:41 2007 +0200

  * PC-Speaker config update

commit d3339d7b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 17 15:03:52 2007 +0200

  * Fix subdevice number to 0 for dmix/dsnoop

commit 8f5fa1a4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 15:02:03 2007 +0200

  * changed python-incdir to python-includes for configure.in

commit b8aa6c87
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 11:15:52 2007 +0200

  * Added tag v1.0.15rc2 for changeset 6e8e8b05cef4

commit fb888735
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 11:15:52 2007 +0200

  * release 1.0.15rc2 Patch-level: Merged

commit e23317de
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 31 16:41:19 2007 +0200

  * Allow empty pythonincdir option

commit b04d1e18
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 31 16:40:07 2007 +0200

  * Fix a typo

commit dcdf8c2a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 31 15:22:26 2007 +0200

  * improved python detection and added --with-pythonincdir for
    configure.in

commit 77603ff7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 30 14:12:42 2007 +0200

  * alsa simple mixer - python basic abstraction - simplified using
    get/setArray

commit 16b91e8d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 30 10:23:29 2007 +0200

  * Added tag v1.0.15rc1 for changeset 0de58d1f43df

commit 4b2cc630
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 30 10:23:29 2007 +0200

  * release 1.0.15rc1 Patch-level: Merged

commit e073ebe3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 29 14:50:52 2007 +0200

  * Add dynamically created files to ignore file

commit dac0e3b1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 29 14:48:31 2007 +0200

  * Handle "Input Source" as a capture element

commit 686a32c6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 22 14:24:58 2007 +0200

  * Add the missing include/mixer.h to doxygen.cfg

commit 13e913bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 22 13:12:21 2007 +0200

  * Add missing CMI8788.conf to Makefile.am

commit 679ae1c7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 22 11:41:58 2007 +0200

  * Continue build even if python-config doesn't exist

commit 9749c31f
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Aug 22 09:42:13 2007 +0200

  * cmi8788: add alsa-lib config

commit e16a241e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 15 15:54:47 2007 +0200

  * Fix a typo in configure script

commit 540c7f76
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 15 14:22:33 2007 +0200

  * Fix use after free

commit b72b817d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 10 17:41:49 2007 +0200

  * Add missing pcm_empty.c in doxygen configuration

commit f2835d86
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Aug 10 09:41:17 2007 +0200

  * seq_midi_event: fix parsing of F9/FD bytes

commit 5090cf35
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Aug 10 09:40:29 2007 +0200

  * seq_midi_event: fix parsing of missing data bytes

commit 4ebeecda
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Aug 10 09:39:24 2007 +0200

  * seq_midi_event: prevent running status after system messages

commit 2c281e16
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Aug 10 09:38:47 2007 +0200

  * seq_midi_event: fix encoding of data bytes after end of sysex

commit c7e1676d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 6 16:09:27 2007 +0200

  * Don't set PCM pointer at error in snd_pcm_hw_open()

commit fca29a61
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jul 13 12:44:43 2007 +0200

  * remove unused variables

commit 4cdb17c6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 11 17:44:09 2007 +0200

  * Split mmap-emulation code from hw layer

commit 9bb7211f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 11 16:55:54 2007 +0200

  * Fix clean-up of header files

commit e0d7bfce
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jul 11 10:10:12 2007 +0200

  * mixer simple basic abstraction - added python binding reasons: -
    rapid development - class-like code structure - more readable code
    features: - hcontrol binding is managed from python (opportunity to
    create   virtual mixer without driver or join multiple cards to
    behave as one)

commit 582cc1f0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 10 15:58:41 2007 +0200

  * Create asoundlib.h dynamically according to configure options

commit 7f0beceb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 5 12:58:10 2007 +0200

  * Added PS3 configuration

commit 845d9222
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 5 12:15:16 2007 +0200

  * fix mmap emulation bug of recording doesn't work

commit 40415cd1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 3 20:22:21 2007 +0200

  * Fix undefined references in namehint.c

commit e4c80614
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 3 19:55:57 2007 +0200

  * Use S16_BE as dmix format for PPC drivers

commit 267d7c72
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 3 19:52:33 2007 +0200

  * Add support of little-endian on i386/x86_64 dmix

commit f49e5859
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 28 13:26:25 2007 +0200

  * Fix the build of lfloat plugin

commit c2d77062
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 11 10:52:17 2007 +0200

  * Added tag v1.0.14a for changeset 9005d28a1f9e

commit c284de76
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 11 10:52:17 2007 +0200

  * release 1.0.14a Patch-level: Merged

commit e973a96f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 8 11:35:03 2007 +0200

  * Fix plugin directory

commit e9ec5aef
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jun 4 15:22:04 2007 +0200

  * Properly disable -Bsymbolic-functions if ld doesn't support

commit ff145839
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu May 31 08:54:49 2007 +0200

  * Added tag v1.0.14 for changeset 83a170c1f7c4

commit 4a7bc382
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu May 31 08:54:49 2007 +0200

  * release 1.0.14 Patch-level: Merged

commit 971ec92b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 22 18:38:58 2007 +0200

  * Specify subdevice number for Maestor3 dmix setting

commit a03ddea4
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon May 21 09:13:19 2007 +0200

  * dmix/dshare/dsnoop plugin: enable slowptr by default

commit 63e4c591
Author: Steve Longerbeam <stevel@embeddedalley.com>
Date:   Fri May 18 15:04:12 2007 +0200

  * Add support for gain in softvol plugin

commit 577959ec
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 15 15:58:58 2007 +0200

  * Revert the wrong change in src/pcm/Makefile.am

commit 21888c5f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 3 20:55:54 2007 +0200

  * Add config and plugin directory options to configure

commit 4c9e869e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 2 08:45:45 2007 +0200

  * Added tag v1.0.14rc4 for changeset b557eb8496bb

commit df3f340a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 2 08:45:45 2007 +0200

  * release 1.0.14rc4 Patch-level: Merged

commit 3b1153c4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 10 13:24:52 2007 +0200

  * Add --enable-symbolic-functions configure option

commit 41dfdba7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 5 17:19:40 2007 +0200

  * Add missing smixer.conf for installation

commit 7f9dd4ac
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 28 14:31:46 2007 +0200

  * Fixed an access to uninitialized variable in pcm_rate.c

commit 2b5006b0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 28 14:30:58 2007 +0200

  * Add missing control_ext entry

commit 09996b63
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 28 14:03:10 2007 +0200

  * Use AS_HELP_STRING in configure.in

commit 17dbb93a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 28 13:49:23 2007 +0200

  * Add src/control/ctl_symbols_list.c to .hgignore

commit 77b4d5f9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 28 13:48:04 2007 +0200

  * Add --with-ctl-plugins configure option

commit c1611151
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 28 12:38:27 2007 +0200

  * Define an array of default rate plugins

commit c6bebac0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 22 01:17:22 2007 +0100

  * Trivial fix of compile warning

commit 36987b02
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 22 00:58:42 2007 +0100

  * String array for default rate plugin list

commit 70e4ec9d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 22 00:48:18 2007 +0100

  * Allow build without libdl and libpthread

commit 9a75eec6
Author: Rene Herman <rene.herman@gmail.com>
Date:   Wed Mar 21 12:21:38 2007 +0100

  * Fix alsa-devel ML address

commit 0c03968e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 16 15:22:27 2007 +0100

  * Fix build with no PCM plugin

commit 36cc1daa
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 13 10:44:28 2007 +0100

  * Remove _snd_pcm_link_descriptors() and more comments

commit 8048321c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 13 02:52:33 2007 +0100

  * More better fix for linked start/stop

commit 1753ae79
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 13 00:40:22 2007 +0100

  * Fix start/stop of multi plugin

commit ffcffac1
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Mar 12 08:27:15 2007 +0100

  * fix a signedness warning

commit 6329db3a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 9 17:06:23 2007 +0100

  * Improve the sample conversion in plug layer

commit fbc2a6fa
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 9 15:30:38 2007 +0100

  * Check _POSIX_SOURCE for timeval definition

commit ba4291aa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 26 09:21:12 2007 +0100

  * Added tag v1.0.14rc3 for changeset 3cfb9808fb42

commit afb23f3f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 26 09:21:12 2007 +0100

  * release 1.0.14rc3 Patch-level: Merged

commit 98f8b6c9
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Feb 13 14:03:30 2007 +0100

  * add USB-Audio.conf to Makefile.am

commit 09eb8007
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Feb 13 09:01:31 2007 +0100

  * enable dmix-ing and proper 5.1 routing for USB audio devices

commit f54f03bf
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 12 13:45:57 2007 +0100

  * fix SNDERR() format strings/arguments

commit 0c49463b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 12 13:45:03 2007 +0100

  * remove superfluous strdup() calls

commit ebc0ea9b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 12 13:43:49 2007 +0100

  * add card_name configuration function

commit e8094c43
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 19 18:36:48 2007 +0100

  * Update emu10k1.h for new version

commit b3f998db
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 17 15:19:52 2007 +0100

  * add support for symbol prefixes in shared libraries

commit f6d264f5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 15 14:21:41 2007 +0100

  * Added tag v1.0.14rc2 for changeset d1c1d7803371

commit 1c82cd76
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 15 14:21:41 2007 +0100

  * release 1.0.14rc2 Patch-level: Merged

commit c818bab2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 8 16:39:26 2007 +0100

  * Fix compile warning with internal function

commit 6972e3e5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 8 16:29:16 2007 +0100

  * Fix error code in timer_query.c

commit 31910617
Author: Benoit Fouet <benoit.fouet@purplelabs.com>
Date:   Mon Jan 8 15:07:02 2007 +0100

  * initialize dl handles where it needs to

commit 4a1cefd2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 20 16:01:27 2006 +0100

  * pcm_ladspa - fix none policy In some configurations, channel samples
    were not copied correctly. Also, fix memory leaks and remove extra
    end-of-line chars from SNDERR strings.

commit 2c02c139
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 7 15:29:20 2006 +0100

  * remove snd_ctl_iface_conf_name() prototype, namehint doxygen
    cleanups

commit 19b2e9af
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 7 15:04:29 2006 +0100

  * Added tag v1.0.14rc1 for changeset
    f5f02f509ea160bf35cbd3c0015e49f42ddf49f6

commit 93b453f4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 7 15:04:28 2006 +0100

  * release 1.0.14rc1 Patch-level: Merged

commit 6d90397a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 5 11:52:37 2006 +0100

  * add snd_device_name_get_hint() prototype to include/control.h

commit 8a36b67b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 4 18:20:40 2006 +0100

  * direct pcm plugins: fix format selection

commit 9819099e
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 4 18:14:13 2006 +0100

  * direct pcm plugins: fix channel number selection

commit 0f99fe78
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 4 18:07:46 2006 +0100

  * fix string list parameter in snd_device_name_(free_)hint prototypes

commit 1ba513f9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 30 13:41:53 2006 +0100

  * add snd_device_name_get_hint() function, make hints private to
    alsa-lib (void)

commit 70c20571
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 24 16:29:45 2006 +0100

  * Fix CS46xx.conf default capture

commit 125b2218
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Nov 16 07:49:24 2006 +0100

  * fix a typo

commit 631814e0
Author: James Courtier-Dutton <James@superbug.demon.co.uk>
Date:   Sun Nov 12 21:37:45 2006 +0000

  * Compatibility problem with automake 1.10 fixed. alsa bug#2592

commit 10e33605
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 6 17:37:15 2006 +0100

  * Fix device name listing with card = -1

commit 9df5c28f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 27 18:19:48 2006 +0200

  * namehint changes: longname -> cardname, use get_card_name instead
    longname

commit c9610c02
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 27 16:08:21 2006 +0200

  * Fix build of static library

commit 03389a44
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 27 13:31:32 2006 +0200

  * change iface argument for namehint function to const char * remove
    snd_ctl_iface_conf_name function

commit 252fd434
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Oct 27 10:54:08 2006 +0200

  * rawmidi: do not abort when seeing the hint node

commit ddf95995
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 23 11:34:00 2006 +0200

  * pcm: fix ipc offset calculation for direct plugins

commit 21207351
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 20 17:57:16 2006 +0200

  * Revert dmix.conf and dsnoop.conf

commit 6d511eef
Author: James Courtier-Dutton <James@superbug.demon.co.uk>
Date:   Fri Oct 13 22:06:17 2006 +0100

  * Implements support for capture/playback enums.

commit a1858982
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 13 18:01:27 2006 +0200

  * added pcm_empty plugin and .hgignore additions

commit d7916981
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 12 16:27:23 2006 +0200

  * pcm config files cleanups and name hint extension - remove device
    0/subdevice 0 from configuration files (it's default) - name_hint  
    - fixed parsing slaves   - obtain device numbers directly from 'type
    hw' configurations to     avoid poluting of configurations scripts
    with hint.device lines

commit b40a116b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 12 14:52:07 2006 +0200

  * Remove snd_name_list() and snd_name_list_free() functions.

commit 10cca7c0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 12 14:42:45 2006 +0200

  * pcm direct plugins - fix memory leak (sconf must be deleted)

commit 1300e705
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 12 14:34:23 2006 +0200

  * more name hint interace updates - add long card name to device
    description - create empty PCM plugin to allow right hint
    description parsing - reorder devices in alsa.conf - make namehint
    more configurable (using default.namehint.showall switch) - add two
    levels basic and exteded for hints to default configuration files -
    do not show direct device aliases - removed all known memory leaks

commit aa7a0dd7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 11 15:59:19 2006 +0200

  * add card number to ipc key for dmix / dsnoop PCM definitions

commit faf8aad9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 11 13:59:42 2006 +0200

  * fix two issues in snd_device_name_hint() - returned wrong error when
    the namehint section does not exist - variable underflow for the
    rawmidi interface

commit 13fdc417
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 11 13:18:57 2006 +0200

  * add snd_device_name_hint() function and initial implementation

commit b223fbba
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 6 15:22:34 2006 +0200

  * revert back one diff from changeset 2219 (fix various warnings)

commit 57eb3145
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 6 13:18:34 2006 +0200

  * fix various warnings See also ALSA bug#1689

commit 8c9e4114
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 6 11:01:40 2006 +0200

  * Add struct timeval and timespec definition when _POSIX_C_SOURCE is
    not defined

commit 7668e264
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 6 10:38:39 2006 +0200

  * alsa.pc's Libs shouldn't contain -lm -ldl -lpthread

commit 1a876513
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 4 17:33:25 2006 +0200

  * Use dmix/dsnoop for maestro3 boards

commit 1827d9cc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 4 17:32:22 2006 +0200

  * Fix snd_pcm_open_noupdate() to refer alias

commit 285d8599
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Wed Oct 4 17:30:26 2006 +0200

  * allow building out of tree (sort of)

commit bc9b4553
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 4 10:39:55 2006 +0200

  * alsa-lib: test dir: make check: static building doesn't work on PIC
    architectures

commit 275afa4d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 1 17:57:36 2006 +0200

  * simple mixer - fix error recovery path for volume / switch write

commit f87356d8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 29 13:30:53 2006 +0200

  * Added tag v1.0.13 for changeset
    cf4a3d6a053ade90e197d774bb4860b564058942

commit 99894d73
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 29 13:30:53 2006 +0200

  * release 1.0.13 Patch-level: Merged

commit 476ce887
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 29 10:44:58 2006 +0200

  * configure.in - fix "checking for versioned symbols" error in
    ./configure See: bug#2274

commit 10c39651
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 29 10:34:22 2006 +0200

  * timer_hw: fix file descriptor leak See: bug#2465

commit 35b1df50
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 28 16:42:19 2006 +0200

  * configuration: added one more alias check to detect a circular
    configuration

commit 1dc96732
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 28 15:47:25 2006 +0200

  * configuration: avoid endless loop when a key refers to itself remove
    one warning from tlv_read routine in control.c

commit 436b0031
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Sep 27 11:11:29 2006 +0200

  * rate plugin: fix boundary calculations

commit 43b28022
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Tue Sep 26 15:38:35 2006 +0200

  * remove unneeded headers from alsa-lib/src/alisp/alisp.c

commit 0a8bd08c
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Tue Sep 26 15:37:47 2006 +0200

  * remove unneeded headers from src/names.c

commit 65f39784
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 26 15:37:07 2006 +0200

  * make sure commands in cvs/hg compile scripts worked

commit 68720782
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 25 15:21:50 2006 +0200

  * Added tag v1.0.13rc3 for changeset
    3de06f3eea80471e365ea706052a747e50edb587

commit 3a8cb22a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 25 15:21:50 2006 +0200

  * release 1.0.13rc3 Patch-level: Merged

commit f0fbd4c0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 19 18:07:51 2006 +0200

  * add support for hosts that have custom symbol prefixes

commit 0211bc3b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Sep 18 17:57:58 2006 +0200

  * fix parsing of non-decimal integers in configuration files

commit a7bc1dd8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun Sep 17 22:06:46 2006 +0200

  * Check control API protocol version for TLV control

commit f70de1b1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 12 15:35:39 2006 +0200

  * Added tag v1.0.13rc2 for changeset
    258849dfcb4c27a019f74820ebe7829bcdf82724

commit 99905c2f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 12 15:35:38 2006 +0200

  * release 1.0.13rc2 Patch-level: Merged

commit 9d2518bb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 7 20:51:41 2006 +0200

  * Fix wrong scales in linear volume calculation

commit 70825bb7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 7 20:43:41 2006 +0200

  * Fix a typo

commit 612216db
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 6 14:39:01 2006 +0200

  * Add --disable-alisp configure option

commit fba26cd6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 6 12:17:29 2006 +0200

  * Add support of dB range compound TLV

commit 72834bfd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 31 10:06:08 2006 +0200

  * Added tag v1.0.13rc1 for changeset
    d3bd2ac29044cd4cafce1b714c249866ed051e2a

commit 6f1f0585
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 31 10:06:08 2006 +0200

  * release 1.0.13rc1 Patch-level: Merged

commit b0bbcd06
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 28 13:27:41 2006 +0200

  * Add handling of linear volume in simple mixer

commit 4962ec5a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 25 11:56:50 2006 +0200

  * Add set_dB ops to simple mixer

commit 448cbb61
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 25 11:54:59 2006 +0200

  * Add dB_range ops for simple mixer

commit 5c71dd3e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 25 11:46:19 2006 +0200

  * Add dB range information to PCM softvol plugin

commit d5caee8d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 25 11:43:22 2006 +0200

  * Fix bogus value when no user TLV is defined

commit 042df4e8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 23 20:39:47 2006 +0200

  * release v1.0.12 #2

commit 66f3749c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 23 15:44:09 2006 +0200

  * Fix segfault when invalid TLV is passed

commit 4165a5bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 23 15:25:43 2006 +0200

  * Fix dB ops for global volume

commit 7bed21e5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 22 14:40:42 2006 +0200

  * Added tag v1.0.12 for changeset
    cc4d79200add09a38f7b74e6748a558cb1532a7e

commit 94572ff3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 22 14:40:42 2006 +0200

  * release 1.0.12 Patch-level: Merged

commit da076c86
Author: Tobin Davis <tobinx.b.davis@intel.com>
Date:   Mon Aug 21 19:12:33 2006 +0200

  * Fix build issue on earler x86_64 based distributions

commit 15d9a28b
Author: James Courtier-Dutton <James@superbug.demon.co.uk>
Date:   Sun Aug 13 22:48:34 2006 +0100

  * Fix default paths.

commit b826a3da
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 4 14:28:12 2006 +0200

  * Added tag v1.0.12rc2 for changeset
    41bc403d142e64ebe6fbbf783c8b8fb936b5fafe

commit 8d708c7d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 4 14:28:12 2006 +0200

  * release 1.0.12rc2 Patch-level: Merged

commit ae761299
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jul 28 14:36:37 2006 +0200

  * Move dB parser to mixer abstraction

commit 8f7152b6
Author: James Courtier-Dutton <James@superbug.demon.co.uk>
Date:   Fri Jul 28 10:05:34 2006 +0100

  * Fix default install libpath and datapath.

commit c4a5efeb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 27 10:45:25 2006 +0200

  * mixer - cleanups for dB scale parsing

commit a98fd022
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 25 15:36:14 2006 +0200

  * Remove dependencies with kernel headers from instrument layer codes

commit 982786e9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 25 15:36:13 2006 +0200

  * Fix bogus pause flag on dmix

commit 5e3fc878
Author: James Courtier-Dutton <James@superbug.demon.co.uk>
Date:   Sat Jul 22 14:56:48 2006 +0100

  * Implement support for dB gain display in alsamixer.

commit 91273c22
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 11 21:48:51 2006 +0200

  * Fix examples for PCM API. Fix dogygen warnings.

commit c7a0708a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jul 5 17:42:16 2006 +0200

  * Control API - add TLV support

commit 408697bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 30 11:34:30 2006 +0200

  * Add config for new snd-aoa driver

commit 67ff9b7b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 29 16:43:56 2006 +0200

  * Fixed driver alias of Aureon 7.1 Universe

commit f725af99
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 27 12:08:38 2006 +0200

  * Fix segfault with bindings parameters of dmix/dshare

commit bbbb06bc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 23 14:42:59 2006 +0200

  * Turn on iec958 capture of iec1724 boards with spdif PCM

commit f042aab0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 21 15:50:41 2006 +0200

  * Added tag v1.0.12rc1 for changeset
    e91448ebc6bd17085fd8fd3a6d977be4df65a76f

commit 04b9161e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 21 15:50:41 2006 +0200

  * release 1.0.12rc1 Patch-level: Merged

commit da17b508
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 16 19:27:35 2006 +0200

  * Add default dmix rate and format definitions in alsa.conf

commit 9984a0a4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 16 18:53:32 2006 +0200

  * Fix division-by-zero in snd_pcm_dump_hw_setup()

commit b3c3e355
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 16 18:52:12 2006 +0200

  * Initialize all fields of slave PCM instance of direct plugins

commit 2a7f3534
Author: Pierre Ossman <ossman@cendio.se>
Date:   Fri May 26 17:27:00 2006 +0200

  * Make snd_hctl_wait() respect the API

commit 3fd93699
Author: Pierre Ossman <ossman@cendio.se>
Date:   Fri May 26 17:08:18 2006 +0200

  * Allow ioplugins to override snd_pcm_delay()

commit 1d80c5b9
Author: Juan Carlos Castro y Castro <jcastro@vialink.com.br>
Date:   Fri May 19 18:26:41 2006 +0200

  * Addition of "infile" parameter (virtual mic) to the file plugin

commit daed2339
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 18 11:26:00 2006 +0200

  * Fix surround40 config for ens1370

commit 8a347e42
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 12 15:33:44 2006 +0200

  * Add hgcompile script and fix INSTALL document

commit ffebf01d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 12 14:43:26 2006 +0200

  * Correction for fixing alsa-lib static build

commit 308f52e6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 12 12:09:33 2006 +0200

  * Fix a typo in pcm_file.c

commit 06e3df05
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 10 16:27:14 2006 +0200

  * Remove enum from kernel API

commit f9e0c56c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 3 19:18:28 2006 +0200

  * Fix hwptr update in rate plugin

commit ae363f57
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 2 17:48:47 2006 +0200

  * Fix the description of return value of
    snd_config_search_definition()

commit 123e2b77
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue May 2 16:28:22 2006 +0200

  * clarify SND_SEQ_PORT_TYPE_xxx documentation

commit c3ac7bdf
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue May 2 16:08:36 2006 +0200

  * add more sequencer port type information bits

commit c445fdda
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 2 14:30:33 2006 +0200

  * Fix device number of ICH4 iec958 controls

commit eafb7ae5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Apr 28 15:55:32 2006 +0200

  * Use O_APPEND mode with dmix & co plugins

commit 194ff97e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 27 15:46:30 2006 +0200

  * Fix delayed start with rate plugin

commit 6ff727bb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 26 18:30:44 2006 +0200

  * Add check of binding ranges in direct plugins

commit 4632e0f6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 25 18:53:17 2006 +0200

  * Fix segfault with dshare plugin

commit fc7bd60f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 25 17:32:48 2006 +0200

  * Add missing snd_dlclose() in pcm_meter.c

commit 9123203f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 25 17:32:23 2006 +0200

  * Fix the error path of snd_pcm_hook_add_conf()

commit 9c69158f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 25 17:27:26 2006 +0200

  * Fix missing snd_dlclose() in sequencer

commit b9c53dd9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 25 17:26:16 2006 +0200

  * Fix missing snd_dlclose() in timer handlers

commit 34e99ad2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 25 17:24:39 2006 +0200

  * Add missing snd_dlclose() in snd_hwdep_close()

commit 2875f116
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 19 12:29:47 2006 +0200

  * Added tag v1.0.11 for changeset
    ae6753322b638dc95de4ab900d21e8eff14f5952

commit 86bd73fa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 19 12:29:46 2006 +0200

  * release 1.0.11 Patch-level: Merged

commit 701557db
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 18 13:00:57 2006 +0200

  * Fix compile error

commit 8d382ccd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 12 12:40:06 2006 +0200

  * Don't install alsalisp

commit 0b961277
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 12 12:31:39 2006 +0200

  * Revert the last fix: finer sync of dmix in delay callback

commit b23872d6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 12 12:29:35 2006 +0200

  * Fix .hgignore

commit 6cbb8fb6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 12 12:18:38 2006 +0200

  * Add missing .hgignore

commit f5c5efe5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 11 15:59:00 2006 +0200

  * Added tag v1.0.11rc5 for changeset
    418d682c6be376a00f53b17e2b57f5046a432d32

commit 195aed37
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 11 15:58:59 2006 +0200

  * release 1.0.11rc5 Patch-level: Merged

commit 69dda2f6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Apr 10 18:31:39 2006 +0200

  * Fix compilation with assert()

commit c31cd9a1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 10 14:41:18 2006 +0200

  * Added tags since ALSA version 1.0.3

commit c02e1845
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 6 19:16:14 2006 +0200

  * Merged

commit 5c51b657
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 6 19:14:01 2006 +0200

  * Changed permissions for scripts and added .hgignore file

commit 04a5f529
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 19:08:27 2006 +0200

  * Add PCM definitions dpl and dpl2

commit 8b79a925
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 19:03:16 2006 +0200

  * Allow negative coefficients in route plugin

commit 4c06a75a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 19:01:02 2006 +0200

  * Finer sync of dmix in delay callback

commit a2ee8e20
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 18:55:59 2006 +0200

  * Fix 32/64bit problem with multi plugin

commit 1128efc7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 18:49:11 2006 +0200

  * Fix buffer size handling of direct plugins

commit 33d69ef3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 18:37:55 2006 +0200

  * Create rate converter plugin SDK

commit 8f605df2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 18:34:25 2006 +0200

  * Add src/pcm/pcm_symbols_list.c to .hgignore

commit 37bcaed7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 18:32:58 2006 +0200

  * Add .hgignore

commit 4e5c94a1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 18:26:34 2006 +0200

  * Fix permission of cvscompile

commit ff176aa0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 29 09:35:14 2006 +0000

  * Make plugin functions static

commit d9dc944a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 29 09:33:46 2006 +0000

  * Fix errors in partial reads/writes with rate plugin

commit 18a6132a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 29 09:32:18 2006 +0000

  * Fix PCM without control/status mmap

commit 504a2e34
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 29 09:29:44 2006 +0000

  * Fix compile warnings

commit 09c5db44
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 24 14:53:41 2006 +0000

  * Fix noisy output of dmix with two periods

commit 1a9c5205
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 24 14:51:24 2006 +0000

  * Fix PCM auto-start conditions

commit 912f0d5d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 24 14:41:40 2006 +0000

  * Fix snd_pcm_write*() return values at start up

commit 944a4ad3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 22 10:47:32 2006 +0000

  * release 1.0.11rc4 Patch-level: Merged

commit dc438157
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 21 16:58:32 2006 +0000

  * Fix the description of snd_mixer_handle_events()

commit 3b692f9d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 21 16:56:16 2006 +0000

  * Change autoconf requirement to 2.59

commit 5ba4634a
Author: Juergen Kreileder <jk@blackdown.de>
Date:   Tue Mar 21 16:55:25 2006 +0000

  * Add support for S32_3LE and byte-swapped S16/S32 to softvol

commit 91066a98
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 21 10:39:49 2006 +0000

  * Fix timer read from 32bit user-space on 64bit kernel

commit 24a3cfc2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 21 10:30:44 2006 +0000

  * Fix extplug->channels initialization

commit 7e6c9208
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 21 10:27:35 2006 +0000

  * dmix - Allow more flexible buffer sizes

commit 8ef33976
Author: Juergen Kreileder <jk@blackdown.de>
Date:   Mon Mar 20 20:24:13 2006 +0000

  * Fixes S16 byte swapping with generic dmix code

commit 5c0674ae
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 20 11:26:16 2006 +0000

  * Add init callback to extplug

commit 38a3aa09
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 20 11:22:23 2006 +0000

  * Fix restoration of PCM open mode

commit eecfed75
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 17 18:14:23 2006 +0000

  * Add channels parameter to surround40/51 definitions

commit 90112fff
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 17 18:09:07 2006 +0000

  * Add restriction parameters to pcm hw layer

commit 8e6ac040
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 17 18:06:23 2006 +0000

  * Fix double free in rate plugin

commit 63207b3a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 15 12:38:37 2006 +0000

  * alsa-lib - added ENOTTY and ENODEV to pcm_errors section

commit 36eb137f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 15 12:22:29 2006 +0000

  * alsa-lib - added pcm_errors section

commit f032a8cf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 14 19:02:23 2006 +0000

  * Suppress warning messages from old timer

commit e58f4d96
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Mar 13 10:41:54 2006 +0000

  * rate plugin: wait for data to be drained

commit aaaf8438
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Mar 13 10:40:21 2006 +0000

  * rate plugin: fix fragment size calculation

commit 931e840a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Mar 13 10:38:51 2006 +0000

  * rate plugin: optimize calculation of the continuous buffer part

commit 46c67fe0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 3 17:51:33 2006 +0000

  * Portability fix for alsa-lib on mips From: Henryk Plötz
    <henryk@ploetzli.ch>

commit 8f61812f
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Mar 3 14:08:58 2006 +0000

  * return ENODEV for disconnected devices

commit d730ff35
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 2 17:01:58 2006 +0000

  * Fix segfault with PCM rate plugin

commit 09f598e5
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 27 10:03:19 2006 +0000

  * allow changing of device directory path

commit 3f00bc72
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 27 09:59:18 2006 +0000

  * fix a typo

commit 4433248b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 27 09:58:32 2006 +0000

  * remove superfluous free() checks

commit 45850439
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 27 09:54:57 2006 +0000

  * Do not abort in snd_xxx_close() functions

commit f9c73216
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 20 19:34:45 2006 +0000

  * Fix infinite loop in snd_pcm_wait()

commit 43a04650
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 20 19:33:53 2006 +0000

  * Remove bogus ATTRIBUTE_UNUSED

commit 2e0c2b0a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 20 19:33:25 2006 +0000

  * Fix compile warnings

commit 609d4a7d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 20 19:32:53 2006 +0000

  * Avoid unnecesasry call of resmgr

commit 37aa30dd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 17 20:51:12 2006 +0000

  * Add description about non-blocking behavior

commit b4f9e5f8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 17 20:50:45 2006 +0000

  * Fix plug conversion of non-linear formats

commit c002c69d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 17 20:50:00 2006 +0000

  * Fix fullduplex with dmix/dsnoop

commit 67868a88
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 17 20:49:21 2006 +0000

  * Fix check of nonblock option

commit 0757f70b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Feb 9 11:37:04 2006 +0000

  * Fix memory leaks

commit 9e86ea69
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 5 15:36:21 2006 +0000

  * alsa-lib virtual rawmidi device: fixed typo (NONBLOCK mode)

commit 59b598fa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 1 06:34:43 2006 +0000

  * Fixed snd_pcm_set_params() error code

commit 937f3966
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 31 09:16:05 2006 +0000

  * snd_pcm_set_params() - added workaround for vortex driver

commit eccc92a3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 30 14:41:51 2006 +0000

  * Fix infinite parse of recursive definitions

commit bf174b70
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 27 15:22:16 2006 +0000

  * release 1.0.11rc3 Patch-level: Merged

commit b23f367e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 27 11:54:06 2006 +0000

  * Remove bad assert From: Pierre Ossman <drzeus-list@drzeus.cx>

commit d9cfe1e9
Author: Nathan Kurz <nate@verse.com>
Date:   Fri Jan 20 08:17:49 2006 +0000

  * pcm_ladspa - setup control outputs all times

commit 9a8a3374
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Jan 19 08:23:22 2006 +0000

  * LADSPA plugin: fix compilation

commit 48d731de
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 16 19:01:13 2006 +0000

  * pcm laspa plugin - Added credits to MediaNet AG

commit 7eff6035
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 16 13:15:32 2006 +0000

  * Support multi-card/device for direct plugins

commit a0dcf5f8
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jan 13 15:57:00 2006 +0000

  * remove duplicate parameter

commit add3a4a1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 13 15:09:40 2006 +0000

  * Skip resmgr when EAGAIN or EBUSY

commit 559deb4d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 13 13:52:31 2006 +0000

  * Fix configuration for Aureon and Prodigy71 boards

commit 1a9695af
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 13 11:53:08 2006 +0000

  * Add missing alias entries

commit 3d0e3e25
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 13 11:52:01 2006 +0000

  * Add "nonblock" option for hw layer

commit 0e15e6a9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 10 11:03:02 2006 +0000

  * Fix compile warnings

commit e55ebd68
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 10 09:58:15 2006 +0000

  * pcm_min.c example - corrected comment

commit 6333b480
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 9 14:40:08 2006 +0000

  * Fix S24_BE format conversions

commit 8e9dbcad
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 6 20:10:04 2006 +0000

  * pcm_min - blocking mode is default - remove extra snd_pcm_nonblock()
    call

commit 4e1452ac
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 6 20:01:08 2006 +0000

  * Added pcm_min test & example - minimalistic pcm output

commit 23f7e58f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 6 19:59:56 2006 +0000

  * implementation of pcm simple helper function

commit a5bb9c6b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 5 14:37:37 2006 +0000

  * snd_user_file - keep doxygen happy

commit 5bdd7f6b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 4 16:05:36 2006 +0000

  * Make dmix/dsnoop as default for ICE1712

commit b08e01ca
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 2 12:16:59 2006 +0000

  * pcm - fix the buffer allocation for NONINTERLEAVED mmap access

commit 2f65643c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 2 07:59:52 2006 +0000

  * release 1.0.11rc2 Patch-level: Merged

commit eb7d61d0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 22 16:24:27 2005 +0000

  * Fix meter plugin

commit 2a438a6e
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 19 07:40:15 2005 +0000

  * dmix: fix interleaved check

commit 45f63a87
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 19 07:39:03 2005 +0000

  * dmix: add S24_3LE support

commit 46f81f99
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Fri Dec 16 22:04:10 2005 +0000

  * snd-ca0106: update mixer controls names from SPDIF to IEC958

commit 76f7af82
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 16 18:43:49 2005 +0000

  * Fix compile warnings

commit 0ec22479
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Dec 14 15:35:23 2005 +0000

  * Fix declaration of snd_pcm_ladspa_open()

commit 46df7083
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Dec 14 13:14:45 2005 +0000

  * Make dmix/dsnoop as default PCM for ICE1724

commit aa21cf4d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 13 14:25:13 2005 +0000

  * ladspa plugin - SIGSEGV fix when label is not specified

commit 1f231e2e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 13 14:08:58 2005 +0000

  * big ALSA LADSPA plugin rewrite for multiple channel LADSPA plugins

commit 01892b78
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Tue Dec 13 10:42:32 2005 +0000

  * snd-ca0106 Fixed SPDIF output.

commit fa91e71b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 13 07:51:52 2005 +0000

  * release 1.0.11rc1 Patch-level: Merged

commit 551c22fc
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 12 09:36:02 2005 +0000

  * seq: reorganize sequencer client numbers

commit bdfbbed5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 11 08:24:13 2005 +0000

  * pcm dump() routines update: use spaces to indent texts

commit 1439c2be
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 5 15:20:28 2005 +0000

  * pcm_ladspa plugin - more verbose output Added more verbose output
    for dump() callback inspired with bug#1554 .

commit 853989cf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 5 14:27:28 2005 +0000

  * Fixed compilation when HAVE_WORDEXP_H is not defined

commit 8b908f23
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 4 09:19:11 2005 +0000

  * direct plugins - fixed ipc_gid initialization when gid specified as
    number

commit 74fcf774
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 2 13:44:13 2005 +0000

  * Fix a missing line in PMacToonie.conf

commit 33a40df1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 2 13:39:24 2005 +0000

  * Fix the handling of stereo capture source

commit aaeb6659
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 30 12:07:06 2005 +0000

  * Add description for new configure options

commit 3ffeaf4c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 30 11:39:21 2005 +0000

  * Minor optimization on mmap

commit db1e39a4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 30 11:38:24 2005 +0000

  * Allow partial build with selected components

commit 79c3d0a1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 30 11:31:18 2005 +0000

  * Move snd_is_local() to socket.c

commit d4dd7650
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 29 15:25:56 2005 +0000

  * Add a workaround for systems without wordexp

commit d9680921
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 29 15:20:07 2005 +0000

  * Use snd_user_file() in pcm_ladpsa.c

commit 0d708373
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 29 15:18:56 2005 +0000

  * Check wordexp.h for ulibc

commit 3f5756ca
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 28 12:02:55 2005 +0000

  * Remove superfluous wordexp.h inclusion

commit 52372e01
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 23 16:46:39 2005 +0000

  * Fix segfault of iec958 plugin with preamble

commit c2f446b0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 23 16:35:56 2005 +0000

  * Remove code from check_PROGRAMS

commit d4bbf241
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 21 10:51:43 2005 +0000

  * Abort from snd_pcm_dshare_drain in XRUN state

commit 84ebfe7c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 21 10:48:52 2005 +0000

  * Fix compile errors/warnings

commit 8495f42f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 21 10:47:42 2005 +0000

  * abort snd_pcm_dmix_drain when state is SND_PCM_STATE_XRU From:
    Sascha Sommer <saschasommer@freenet.de>

commit 5057f8bb
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Sun Nov 20 14:11:09 2005 +0000

  * fix compilation with gcc 2

commit 19be1429
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Sun Nov 20 14:09:45 2005 +0000

  * remove SND_SEQ_CLIENT_{DUMMY,OSS} symbols

commit 2bcaa1f1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 18 16:01:39 2005 +0000

  * Fix free of uninitialized pointer

commit 6b85e23f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Nov 17 12:08:32 2005 +0000

  * Fix generation of IEC958 subframes From: Nicolas Boullis
    <nboullis@debian.org>

commit 367c3fc6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 15 13:44:27 2005 +0000

  * release 1.0.10 Patch-level: Merged

commit 5d3fa7b8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 14 10:18:22 2005 +0000

  * control - fixed crash when dynamic library is not present See
    bug#1544.

commit 64e93728
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 14 09:50:29 2005 +0000

  * pcm_ladspa - fix locale issues See bug#1553 for more details.

commit 004a5ecd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 4 10:19:03 2005 +0000

  * release 1.0.10rc3 Patch-level: Merged

commit ba21d258
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 1 13:35:52 2005 +0000

  * direct pcm plugins - fixed dump output name for dshare and dsnoop

commit 69194a1f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 27 16:58:40 2005 +0000

  * Fix channel_info callback of plugins

commit 37dee92d
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Oct 17 16:10:16 2005 +0000

  * file plugin: fix various bugs

commit b5f50b06
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Oct 12 16:08:53 2005 +0000

  * fix doxygen warnings

commit 31e0ea4e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Oct 10 15:17:58 2005 +0000

  * Fix mmap and channel_info of hook plugin

commit 4a3e65ff
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 10 12:49:51 2005 +0000

  * release 1.0.10rc2 Patch-level: Merged

commit 2f71b875
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 29 19:11:50 2005 +0000

  * Fix type-punning

commit 477325dd
Author: Lee Revell <rlrevell@joe-job.com>
Date:   Thu Sep 29 12:32:41 2005 +0000

  * use dmix/dsnoop for default PCM on ca0106

commit 74b5c313
Author: Sasha Khapyorsky <sashak@smlink.com>
Date:   Thu Sep 29 11:46:59 2005 +0000

  * New @func - pcm_args_by_class

commit 31595805
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 21 08:24:31 2005 +0000

  * fixed typo in comment

commit 4284d792
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 21 08:23:28 2005 +0000

  * PCM add missing pcm types - DSNOOP, IEC958, IOPLUG, EXTPLUG

commit e38cf306
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 21 08:20:18 2005 +0000

  * pcm - Add SOFTVOL pcm type

commit 841ca349
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 19 12:40:02 2005 +0000

  * Fix endianess of PMac driver

commit dee6f010
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 19 12:38:14 2005 +0000

  * Use S16_LE as default for dmix

commit 5bf3b31c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 19 12:37:08 2005 +0000

  * Fix endianess with dmix plugin

commit 148c2b8e
Author: Mikael Magnusson <mikma@users.sourceforge.net>
Date:   Tue Sep 13 10:36:16 2005 +0000

  * emu10k1: Front channels via fxbus 8 and 9

commit 52401075
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 12 17:50:57 2005 +0000

  * Removed unused function

commit d45d5a14
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 12 17:50:16 2005 +0000

  * Don't return error if chown() fails

commit 7ba8d5c3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 12 10:44:53 2005 +0000

  * Add modem pcm definition for hda-intel driver

commit dba82373
Author: Sasha Khapyorsky <sashak@smlink.com>
Date:   Mon Sep 12 10:37:22 2005 +0000

  * modem's pcm "two device" config

commit 474eb76b
Author: Sasha Khapyorsky <sashak@smlink.com>
Date:   Mon Sep 12 10:35:07 2005 +0000

  * fix segfault then hooks list is empty

commit 19284bd3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 8 06:48:30 2005 +0000

  * direct plugins - change group according ipc_gid for the socket file
    This patch fixes problem when ipc_perm are 0660 and you want to
    share dmix with more users in the specified group.

commit af6544a2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 8 06:36:00 2005 +0000

  * dmix and dsnoop configuration - added ipc_perm 0660 (to handle all
    users with audio group)

commit 4272742a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 5 15:57:31 2005 +0000

  * Fix compile warnings

commit 0eac0a98
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 2 16:40:40 2005 +0000

  * Fix configuration for ICE1724

commit ffdb04c3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 2 16:36:40 2005 +0000

  * Fix buffer allocation and mmap with plugins

commit e62ecc87
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 1 17:31:52 2005 +0000

  * Workaround for crash with knotify

commit 6f938b1c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 29 17:07:41 2005 +0000

  * Fix call of semctl IPC_RMID

commit 745062ee
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 24 14:13:47 2005 +0000

  * PCM API - handle EINTR from poll() in snd_pcm_wait() function

commit 62b9d00a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 24 14:06:11 2005 +0000

  * test/pcm.c - remove -EINTR handling (a job for alsa-lib)

commit 5af75610
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 24 10:41:16 2005 +0000

  * mixer API - extend simple enumerated controls for direction tests
    Added snd_mixer_selem_is_enum_playback() and
    snd_mixer_selem_is_enum_capture() functions.

commit d9be3e35
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 23 12:57:48 2005 +0000

  * pcm.c test / example - Added EINTR handling

commit 787b0469
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 23 12:09:07 2005 +0000

  * Allow separate build and source trees From: Bernard Leak
    <bernard@brenda-arkle.demon.co.uk>

commit a33c78dd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 22 12:07:55 2005 +0000

  * moved simple mixer abstraction modules to modules/mixer/simple
    directory Compile dynamic modules outside the alsa-lib tree to allow
    linking them against libasound.so - proper versions of dynamic
    symbols.

commit 19ac270f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 19 17:23:05 2005 +0000

  * Add missing header files

commit 1ffda4d6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 19 11:44:33 2005 +0000

  * release 1.0.10rc1 Patch-level: Merged

commit 1fdd1a6c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 18 14:58:31 2005 +0000

  * Fix invalid read in setlocale()

commit e120114b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 18 14:53:39 2005 +0000

  * Clean up string parser

commit f1acd772
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 18 10:42:22 2005 +0000

  * PCM direct plugins - handle EINTR in the resource server

commit ea77e08c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 17 17:27:16 2005 +0000

  * Misc fixes

commit 4bb0721a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 17 14:00:32 2005 +0000

  * direct plugins - added graceful shutdown for the resource server

commit 8737d184
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Aug 16 15:30:19 2005 +0000

  * simple mixer: fix compilation with gcc 2.x

commit bac9a7de
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 16 12:19:15 2005 +0000

  * direct plugins (dmix) - suspend/resume fixes

commit 7450dbcf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 16 10:10:26 2005 +0000

  * timer_hw - Changed TIMER_VERSION_MAX to 2.0.5

commit 1400f04e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 16 10:09:34 2005 +0000

  * sync with alsa-kernel - timer SUSPEND / RESUME events

commit e80f8086
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 12 15:53:02 2005 +0000

  * Fix direct plugins running on 32bit emulation with 64bit arch

commit 99005614
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 12 15:51:48 2005 +0000

  * Add -avoid-version for smixer plugins

commit 036525d2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 3 16:58:22 2005 +0000

  * Add function declaration

commit f8cf6be9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 3 13:48:14 2005 +0000

  * Fix surroundX PCM From: Julian Scheel <julian@jusst.de>

commit a4c7041d
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Aug 3 12:50:32 2005 +0000

  * use PCM interface for IEC958 controls

commit a2ad683c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Aug 2 14:18:29 2005 +0000

  * adjust control references in config files

commit 5203c3bf
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Aug 2 07:59:46 2005 +0000

  * adjust control references in config files

commit 59a82261
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jul 31 09:08:43 2005 +0000

  * The simple mixer abstraction - more work - separated the "base
    library" from ac97.c (dynamically loaded)   - added necessary
    handling of all private structures   - added selector and sid
    registration functions and handling code - added basic code for
    hda.c (yeah, my notebook has this hw)

commit c593c1d2
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Wed Jun 29 20:31:33 2005 +0000

  * Fix bug when a sound card had a stereo mute element and would fail
    to unmute the right channel.

commit 985c6f94
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 28 13:35:22 2005 +0000

  * Fix compilation on a system with old alsa-lib headers

commit 7a89e3bb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 28 10:24:44 2005 +0000

  * Fix compile warnings with gcc-4

commit 0350a615
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 28 09:58:48 2005 +0000

  * Fix the return value of snd_card_load()

commit a12f75af
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jun 27 14:43:12 2005 +0000

  * fix typo

commit 1596c8c3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 27 08:16:06 2005 +0000

  * Fixed #include statements

commit aa5a4d1f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 23 10:04:56 2005 +0000

  * Remove the check of start_threshold in sw_params

commit 274bce69
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Jun 23 07:45:17 2005 +0000

  * fix file name for Doxygen

commit 57b9f889
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Jun 23 07:44:36 2005 +0000

  * fix compilation with C++

commit 6c7f60f7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 16 14:03:15 2005 +0000

  * Fix boundary overlap

commit ce67d538
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jun 16 11:59:26 2005 +0000

  * more simple mixer - basic abstraction - work - midlayer cleanups and
    simplification - probably broke the "none" abstraction code somehow
    (not intensively tested   midlayer changes) - trying to implement
    ac97 module   - far from finished   - common code should be moved to
    alsa-lib as core for other modules   - perhaps simple_abst.c can be
    based on this common code, too

commit 3656a663
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jun 13 13:19:03 2005 +0000

  * Add detailed documentation for external control plugin SDK

commit 555b8707
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 10 09:23:40 2005 +0000

  * pcm_multi: Increased maximum slave channels to 64 From: Joachim
    Deguara <dga@idmt.fraunhofer.de>

commit 96e01a61
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 9 17:14:22 2005 +0000

  * Fix _snd_ctl_hw_open() mode argument

commit 8a3d0702
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 9 17:12:08 2005 +0000

  * Add external control plugin SDK

commit 36f715c5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 9 17:09:24 2005 +0000

  * Add external shared object support

commit 3c144ca0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 8 13:52:57 2005 +0000

  * Fix compile warning

commit 4c484923
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 7 11:44:25 2005 +0000

  * initial & empty smixer-ac97.so module (only the build framework)

commit c9d343a0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 7 11:31:18 2005 +0000

  * Change .so module name and installation patch
    (/usr/lib/alsa-lib/scopes)

commit 3bcf2f80
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 6 14:01:13 2005 +0000

  * Implemented the top-level redirector code for simple mixer

commit 157cb698
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 3 14:04:53 2005 +0000

  * mixer - fix typo and memory leak

commit 23c8d481
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 3 13:35:39 2005 +0000

  * Added snd_mixer_selem_compare

commit 597b4d09
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 3 13:33:04 2005 +0000

  * big simple mixer update

commit ae07fd40
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 1 12:34:51 2005 +0000

  * Remove obsolete ordinary_* entries

commit 009911ed
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 1 12:31:52 2005 +0000

  * Remove obsolete ordinary_* entries from configure.in

commit b69ab568
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 30 17:56:12 2005 +0000

  * Fix bugs in the last change of ipc_gid option

commit 270da603
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 30 17:03:00 2005 +0000

  * Add description for perm option of file plugin

commit bf5d2bfe
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 30 16:21:25 2005 +0000

  * Remove obsolete *_ordinary.h files

commit 41398ceb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 30 11:57:26 2005 +0000

  * removed ordinary stuff

commit ff9fd331
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 30 11:38:54 2005 +0000

  * a bit reordered code to fix bug #838

commit 02b6b9f6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 30 11:36:27 2005 +0000

  * Corrected ipc_gid

commit d5e434c4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 30 11:35:44 2005 +0000

  * Added ipc_gid

commit 9bae1c87
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 30 11:16:20 2005 +0000

  * fix warnings (bug #829)

commit 3d1fa924
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 30 10:22:18 2005 +0000

  * added support for more sample widths - patch taken from ALSA bug
    #1140

commit 3a763ae3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 30 10:16:59 2005 +0000

  * use ipc_gid for dmix and dsnoop - added ipc_gid audio - removed
    ipc_key_add_uid

commit 4b7e3cff
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 30 10:13:54 2005 +0000

  * added ipc_gid for direct plugins

commit d7ef50f5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun May 29 14:26:20 2005 +0000

  * name clash (WINE, icc), interface -> iface renamed

commit e7892093
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun May 29 14:24:51 2005 +0000

  * name clash (WINE, icc) interface -> iface rename

commit c072e761
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri May 27 12:58:02 2005 +0000

  * release: 1.0.9

commit 98ecc868
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 27 09:25:16 2005 +0000

  * Fix compile without debug option

commit aad10fb4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 24 14:50:21 2005 +0000

  * Fix a typo

commit 087184b0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 24 14:14:28 2005 +0000

  * Fix doxygen documents

commit 76516908
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 24 09:42:01 2005 +0000

  * Fix documentation of external PCM plugin SDK

commit 8b76989e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 23 11:32:35 2005 +0000

  * release: 1.0.9rc4

commit 6e1bc680
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 09:04:15 2005 +0000

  * Minor clean up

commit dd37bb20
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 09:03:16 2005 +0000

  * Move poll_* callbacks to fast_ops

commit dae58c01
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 09:01:31 2005 +0000

  * Add area synchronization in poll_rsync of rate plugin

commit 67420b88
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 08:58:04 2005 +0000

  * Fix poll of dsnoop plugin

commit a3ae02d8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 08:56:48 2005 +0000

  * Fix semaphore deadlocks

commit ddd9c29a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 08:51:59 2005 +0000

  * Fix dshare plugin codes

commit 16617593
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 08:49:58 2005 +0000

  * Minor clean up of dmix codes

commit 4c6809bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 08:48:46 2005 +0000

  * Fix poll after XRUN with dmix

commit b0ee34e7
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat May 21 15:21:04 2005 +0000

  * Implement surround71 output for SB Live 24 bit. Note: Requires
    updated alsa-kernel as well.

commit 4d7c53d2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 19 16:59:04 2005 +0000

  * Add snd_pcm_hw_params_get/set_export_buffer()

commit 18053076
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 19 16:50:24 2005 +0000

  * Fix generic channel_info callbacks

commit d81d6940
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 19 15:14:05 2005 +0000

  * Fix bugs in perm option

commit 4e1723f9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 19 14:36:04 2005 +0000

  * More strict permission for IPC shm and sem

commit 13c73649
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 19 14:20:07 2005 +0000

  * Revert the shmget permission

commit 5227c7e1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 19 14:14:04 2005 +0000

  * Fix possible noises and optimization with dmix

commit 1cd04dba
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 19 13:59:43 2005 +0000

  * Add perm option

commit d5b98234
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 18 13:28:06 2005 +0000

  * Fix snd_pcm_wait() for multiple pollfd's

commit a6d3b9e4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 18 10:50:09 2005 +0000

  * Remove poll_ask callback

commit e61d3859
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 18 10:47:52 2005 +0000

  * Add protocl version check

commit 97010dbf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 18 10:46:03 2005 +0000

  * Use snd_pcm_generic_t and its callbacks

commit 842b5734
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 18 10:45:06 2005 +0000

  * Add poll_descriptors and poll_descriptors_count callbacks

commit cf4f4bc9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 17 15:36:18 2005 +0000

  * Fix drain of dmix without data

commit 2ada7a8b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 17 09:34:18 2005 +0000

  * Fix snd_mixer_sort()

commit 51313cb2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 17 09:28:29 2005 +0000

  * Remove pause and fix timer initialization in prepare

commit e76bbd74
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 17 09:27:17 2005 +0000

  * Set up pcm->info properly

commit 3092edab
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 17 09:26:34 2005 +0000

  * Propagate pcm->info

commit 8c09d727
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun May 15 14:49:11 2005 +0000

  * Add $include/alsa to the include path

commit 48bff53b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun May 15 14:48:19 2005 +0000

  * Check timer version for read-block workaround

commit 0d0e1a55
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun May 15 14:47:03 2005 +0000

  * Change some timer ioctls due to confliction

commit 1aaf4a50
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun May 15 13:54:00 2005 +0000

  * Fix blocking during draining in dmix

commit 10557ca6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 13 14:14:10 2005 +0000

  * Fix playback start with sync_ptr mode

commit 3403d9e6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 13 12:37:25 2005 +0000

  * Fix partial commit in drain

commit 3047f8fa
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 12 13:34:59 2005 +0000

  * Fix possible problems of playback drain with rate plugin

commit da34d7ec
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 12 13:12:16 2005 +0000

  * Add configuration for AACI driver

commit 8ec3e4ea
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 11 12:18:51 2005 +0000

  * added full async interface to timer API

commit a022bc1f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 10 10:52:30 2005 +0000

  * API for device name lists and timer enhancements

commit f658e3e1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 10 07:05:47 2005 +0000

  * remove broken *_step initialization (caused by previous Fedora 4
    patch) Thanks to Abramo for notice.

commit 412fb54e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri May 6 14:09:17 2005 +0000

  * Fedora 4 patch - gcc4 fixes

commit f2099d57
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri May 6 14:06:09 2005 +0000

  * - Fedora 4 patch - fix for alpha arch

commit cf73143c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon May 2 07:42:52 2005 +0000

  * fix snd_seq_query_next_client documentation

commit 0b4e5e09
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Apr 29 15:29:29 2005 +0000

  * usb-audio - add Extigy/Audigy 2 NX remote control support

commit b6d9e253
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Apr 29 15:19:45 2005 +0000

  * midiloop - remove running status test

commit 155ae28d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 27 14:03:58 2005 +0000

  * release: 1.0.9rc3

commit 467d69c5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Apr 22 16:36:13 2005 +0000

  * Fix CPU hog with combination of rate plugin

commit 56b39744
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 20 14:31:33 2005 +0000

  * Show verbose errors for invalid sw_params

commit 0f0fea74
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 20 14:30:45 2005 +0000

  * Fix ATTRIBUTE_UNUSED

commit 062df69f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 20 14:28:27 2005 +0000

  * Make surround config backward compatible

commit 87ec7df9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 20 14:26:49 2005 +0000

  * Read $LIBASOUND_DEBUG as integer

commit cac370de
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 19 16:11:26 2005 +0000

  * Fix segfault

commit 9a0f2817
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Apr 15 09:22:48 2005 +0000

  * Fix timer read in non-TREAD mode

commit c5fc9e7c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 15:29:57 2005 +0000

  * Add external PCM plugin

commit bdabcb96
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 15:29:06 2005 +0000

  * Check timer protocol number for direct plugins

commit ca67f328
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 15:28:23 2005 +0000

  * Increase timer protocol number

commit c9fbe951
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 15:27:47 2005 +0000

  * Suppress verbose debug messages

commit 21e676e3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 14:30:02 2005 +0000

  * Add PMac Toonie configuration

commit b579a024
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 14:22:13 2005 +0000

  * Add verbose hw_params debugging

commit 0aed1ab2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 14:21:10 2005 +0000

  * Remove invalid ATTRIBUTE_UNUSED

commit 91f7dd23
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 14 14:01:10 2005 +0000

  * Move old PCM API to pcm_old.h

commit 54ec88ba
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 13 13:35:58 2005 +0000

  * Use 'Channel Mode' control

commit f65d9f31
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 12 12:09:55 2005 +0000

  * Added snd_pcm_hw_params_set_rate_resample function

commit 72ad0e9a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Apr 11 10:03:28 2005 +0000

  * Fix more CPU hang-up bugs in dmix

commit c9156595
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 6 13:08:28 2005 +0000

  * Fix compile warning

commit 999609f7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 5 15:53:24 2005 +0000

  * Compile warning fixes

commit aa89f27d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 5 15:50:15 2005 +0000

  * More fixes for 100% CPU hang with dmix

commit e5b91844
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 5 15:48:01 2005 +0000

  * Fix channel_info callbacks of hooks, file and plug plugins

commit 38f4e69b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 5 15:21:22 2005 +0000

  * Remove Azalia.conf

commit ef42a53d
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Apr 2 14:21:59 2005 +0000

  * Update user land emu10k1.h with changes from kernel emu10k1.h

commit 1889920a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 31 15:24:40 2005 +0000

  * Fix segfault with downsampling

commit a0a440dc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 31 15:23:20 2005 +0000

  * Stop timer at XRUN

commit 586c8872
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 29 17:42:40 2005 +0000

  * Use dmix/dsnoop as default

commit 06044933
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 29 16:35:28 2005 +0000

  * Use S16 for default format

commit 5c91ee38
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 29 16:34:31 2005 +0000

  * Check PCM format aliases

commit 92078049
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 29 14:13:04 2005 +0000

  * Generic architecture support

commit 6a6a70ff
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 29 14:10:16 2005 +0000

  * Do hwsync of slave PCM on dmix

commit 5e325ea1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 29 14:06:00 2005 +0000

  * Delayed start for dmix

commit c5c9b2c8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 29 13:52:41 2005 +0000

  * Fix noises on exapnd

commit 1ac50201
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 25 08:53:48 2005 +0000

  * latency test - Added -B and -E options

commit e64cab56
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 24 20:28:56 2005 +0000

  * Fix noises in rate exapnsion

commit 7acb52ed
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 24 17:19:05 2005 +0000

  * Evaluate CARD argument

commit ad0b3482
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 24 17:18:01 2005 +0000

  * Fix compile with gcc-4.0

commit e87851b9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 24 11:59:18 2005 +0000

  * Enable slowptr option as default

commit e67db184
Author: James Courtier-Dutton <>
Date:   Thu Mar 24 11:24:31 2005 +0000

  * Fixes AC3 output on Audigy2 sound cards

commit 173823a4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 24 09:49:44 2005 +0000

  * release: 1.0.9rc2

commit 248d0b28
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 22 18:49:07 2005 +0000

  * Fix compilation with gcc-4.0

commit d36e8f20
Author: James Courtier-Dutton <>
Date:   Mon Mar 21 19:55:16 2005 +0000

  * Fix AC3 output on alsa-lib ca0106.conf

commit 2570bfc7
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Mar 21 08:17:26 2005 +0000

  * add HPET support

commit 231d55e5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 17 16:14:17 2005 +0000

  * Fix a typo

commit b0b8957c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 16 13:25:25 2005 +0000

  * Fix the device-open check

commit 0434c183
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 16 11:41:02 2005 +0000

  * Added asound_fm.h

commit dab2b58e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 15 11:39:51 2005 +0000

  * Fix resume of dmix, dsnoop and dshare plugins

commit 4e992e34
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 13 09:31:24 2005 +0000

  * release: 1.0.9rc1

commit b088e129
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 10 20:03:02 2005 +0000

  * Fix rear/center_lfe subdevice mismatch

commit e3f57ccc
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Mar 10 10:45:19 2005 +0000

  * rawmidi_virt: fix hang on invalid MIDI data

commit 8003e03b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 9 12:00:37 2005 +0000

  * Small code clean up

commit 9dd4436f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 9 11:59:37 2005 +0000

  * Fix invalid free

commit 73008deb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 9 11:57:54 2005 +0000

  * Add snd_pcm_parse_control_id()

commit 227441b2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 9 11:54:58 2005 +0000

  * More doxygen comments

commit 4a34ac6a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 3 11:13:00 2005 +0000

  * Added snd_seq_ev_set_tag() macro

commit e34947b1
Author: Lee Revell <rlrevell@joe-job.com>
Date:   Mon Feb 28 08:39:25 2005 +0000

  * move the Jack plugin to alsa-plugins

commit 85171640
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 28 08:25:12 2005 +0000

  * fix the file plugin

commit 809e3156
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Feb 24 20:57:56 2005 +0000

  * Initialize structs for ioctls

commit 6f918dfa
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Feb 24 10:20:44 2005 +0000

  * Add a note on FC3

commit acc032b6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Feb 24 10:19:23 2005 +0000

  * Fix SPDIF device

commit 7e5a7fbd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Feb 24 10:16:51 2005 +0000

  * Remove JACK plugin

commit 970b1450
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 22 20:23:18 2005 +0000

  * Fix card type to string

commit 145f85ff
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 22 20:21:23 2005 +0000

  * Accept string type card

commit 5741aec9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 22 20:20:42 2005 +0000

  * Add config file for CMI8768

commit 9835e5c9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 18 18:13:45 2005 +0000

  * Add Side controls in the weight list

commit e9c6bd0b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Feb 17 15:15:37 2005 +0000

  * Use softvol for default PCM

commit 6408cdf0
Author: Mikael Magnusson <mikaelmagnusson@glocalnet.net>
Date:   Wed Feb 16 11:47:05 2005 +0000

  * Fixed rear PCM (mono output) Signed-off-by: Mikael Magnusson
    <mikaelmagnusson@glocalnet.net>

commit cf6e569b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 14 15:48:14 2005 +0000

  * Code clean-up

commit d8f7de1b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 14 15:09:09 2005 +0000

  * Support dl-object cache

commit 08fc6305
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 14 13:52:00 2005 +0000

  * Fix a typo

commit 5eb794fe
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 14 13:33:08 2005 +0000

  * Add filter-type external plugin SDK

commit 4ea51d82
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 14 13:31:53 2005 +0000

  * Add --disable-aload configure option

commit 49c9eba8
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 14 09:35:06 2005 +0000

